/// A list of ~all~ most emojis available in `emoji-icon-font.ttf`
///
/// Also viewable at <http://jslegers.github.io/emoji-icon-font/>
/// Source: <https://github.com/jslegers/emoji-icon-font>
#[allow(unused)]
#[rustfmt::skip]
pub const EMOJI_ICON_FONT_LIST: &[(u32, char, &str)] = &[
    (0xA9, '©', "copyright"),
    (0xAE, '®', "registered"),
    (0x2030, '‰', "perthousand"),
    (0x20AC, '€', "currency-euro"),
    (0x211E, '℞', "retrograde"),
    (0x2126, 'Ω', "omega"),
    (0x2135, 'ℵ', "aleph"),
    (0x21BA, '↺', "rotate-ccw"),
    (0x21BB, '↻', "rotate-cw"),
    (0x221E, '∞', "infinity"),
    (0x2297, '⊗', "close"),
    (0x229E, '⊞', "square-plus"),
    (0x229F, '⊟', "square-minus"),
    (0x2316, '⌖', "crosshairs"),
    (0x2318, '⌘', "command"),
    (0x231A, '⌚', "watch"),
    (0x2328, '⌨', "keyboard-wireless"),
    (0x2386, '⎆', "enter"),
    (0x2388, '⎈', "helm"),
    (0x2397, '⎗', "previous-page"),
    (0x2398, '⎘', "next-page"),
    (0x2399, '⎙', "print-screen"),
    (0x23CF, '⏏', "eject"),
    (0x23E9, '⏩', "forward"),
    (0x23EA, '⏪', "backward"),
    (0x23ED, '⏭', "last"),
    (0x23EE, '⏮', "first"),
    (0x23F0, '⏰', "alarm"),
    (0x23F1, '⏱', "stopwatch"),
    (0x23F3, '⏳', "hourglass"),
    (0x23F4, '⏴', "caret-left"),
    (0x23F5, '⏵', "caret-right"),
    (0x23F6, '⏶', "caret-up"),
    (0x23F7, '⏷', "caret-down"),
    (0x23F8, '⏸', "pause"),
    (0x23F9, '⏹', "stop"),
    (0x23FA, '⏺', "circle"),
    (0x2593, '▓', "chessboard"),
    (0x25A0, '■', "square"),
    (0x25A3, '▣', "checkbox-partial"),
    (0x25B6, '▶', "play"),
    (0x25CB, '○', "circle-open"),
    (0x25CE, '◎', "bullseye"),
    (0x25D1, '◑', "contrast"),
    (0x25D4, '◔', "pie-chart-reverse"),
    (0x25D5, '◕', "pie-chart"),
    (0x2600, '☀', "sun"),
    (0x2601, '☁', "cloud"),
    (0x2602, '☂', "umbrella"),
    (0x2603, '☃', "snowman"),
    (0x2604, '☄', "comet"),
    (0x2605, '★', "star"),
    (0x2606, '☆', "star-open"),
    (0x2609, '☉', "record"),
    (0x260E, '☎', "phone"),
    (0x2610, '☐', "checkbox-unchecked"),
    (0x2611, '☑', "checkbox-checked"),
    (0x2615, '☕', "drink-coffee"),
    (0x2618, '☘', "shamrock"),
    (0x261C, '☜', "point-left"),
    (0x261D, '☝', "point-up"),
    (0x261E, '☞', "point-right"),
    (0x261F, '☟', "point-down"),
    (0x2620, '☠', "skull-and-bones"),
    (0x2622, '☢', "radiation"),
    (0x2623, '☣', "biohazard"),
    (0x2624, '☤', "caduceus"),
    (0x2625, '☥', "ankh"),
    (0x2626, '☦', "cross-orthodox"),
    (0x2627, '☧', "chi-rho"),
    (0x2628, '☨', "cross-of-lorraine"),
    (0x2629, '☩', "cross-of-jerusalem"),
    (0x262A, '☪', "star-and-crescent"),
    (0x262B, '☫', "farsi"),
    (0x262C, '☬', "khanda"),
    (0x262E, '☮', "peace"),
    (0x262F, '☯', "tao"),
    (0x2630, '☰', "menu"),
    (0x2638, '☸', "wheel-of-dharma"),
    (0x2639, '☹', "smiley-sad"),
    (0x263A, '☺', "smiley"),
    (0x2640, '♀', "gender-female"),
    (0x2642, '♂', "gender-male"),
    (0x2654, '♔', "chess-white-king"),
    (0x2655, '♕', "chess-white-queen"),
    (0x2656, '♖', "chess-white-rook"),
    (0x2657, '♗', "chess-white-bishop"),
    (0x2658, '♘', "chess-white-knight"),
    (0x2659, '♙', "chess-white-pawn"),
    (0x265A, '♚', "chess-black-king"),
    (0x265B, '♛', "chess-black-queen"),
    (0x265C, '♜', "chess-black-rook"),
    (0x265D, '♝', "chess-black-bishop"),
    (0x265E, '♞', "chess-black-knight"),
    (0x265F, '♟', "chess-black-pawn"),
    (0x2660, '♠', "spades"),
    (0x2661, '♡', "heart-open"),
    (0x2663, '♣', "clubs"),
    (0x2665, '♥', "heart"),
    (0x2666, '♦', "diamonds"),
    (0x2669, '♩', "music-quarter-note"),
    (0x266A, '♪', "music-eighth-note"),
    (0x266B, '♫', "music-eigth-notes"),
    (0x266C, '♬', "music-sixteenth-notes"),
    (0x267B, '♻', "recycle"),
    (0x267E, '♾', "permanent-paper"),
    (0x267F, '♿', "wheelchair"),
    (0x2690, '⚐', "flag-open"),
    (0x2691, '⚑', "flag"),
    (0x2692, '⚒', "hammer-and-pick"),
    (0x2693, '⚓', "anchor"),
    (0x2694, '⚔', "crossed-swords"),
    (0x2695, '⚕', "asclepius"),
    (0x2696, '⚖', "scales"),
    (0x2698, '⚘', "flower"),
    (0x2699, '⚙', "gear"),
    (0x269B, '⚛', "atom"),
    (0x269C, '⚜', "fleur-de-lis"),
    (0x26A0, '⚠', "warning"),
    (0x26A1, '⚡', "bolt"),
    (0x26A2, '⚢', "gender-female-female"),
    (0x26A3, '⚣', "gender-male-male"),
    (0x26A4, '⚤', "gender-male-female"),
    (0x26A6, '⚦', "gender-transgender"),
    (0x26A7, '⚧', "gender-non-binary"),
    (0x26B0, '⚰', "coffin"),
    (0x26BD, '⚽', "football-soccer"),
    (0x26BE, '⚾', "baseball"),
    (0x26C3, '⛃', "database"),
    (0x26CF, '⛏', "pick"),
    (0x26D3, '⛓', "dna"),
    (0x26D4, '⛔', "no-entry"),
    (0x26E4, '⛤', "pentagram"),
    (0x26E7, '⛧', "pentagram-inverted"),
    (0x26E8, '⛨', "shield-with-cross"),
    (0x26E9, '⛩', "temple"),
    (0x26EA, '⛪', "church"),
    (0x26ED, '⛭', "gear-no-hub"),
    (0x26F1, '⛱', "beach"),
    (0x26F2, '⛲', "fountain"),
    (0x26F6, '⛶', "four-corners"),
    (0x26F7, '⛷', "skier"),
    (0x26F8, '⛸', "ice-skater"),
    (0x26FA, '⛺', "tent"),
    (0x26FC, '⛼', "headstone"),
    (0x26FD, '⛽', "fuel-pump"),
    (0x2702, '✂', "scissors"),
    (0x2706, '✆', "phone-location"),
    (0x2707, '✇', "film-reel"),
    (0x2708, '✈', "airplane"),
    (0x2709, '✉', "envelope"),
    (0x270A, '✊', "hand-fist"),
    (0x270B, '✋', "hand"),
    (0x270F, '✏', "pencil"),
    (0x2714, '✔', "check"),
    (0x2716, '✖', "multiply"),
    (0x271A, '✚', "plus"),
    (0x271D, '✝', "latin-cross"),
    (0x271F, '✟', "latin-cross-outline"),
    (0x2720, '✠', "maltese-cross"),
    (0x2721, '✡', "star-of-david"),
    (0x272A, '✪', "star-circled"),
    (0x2731, '✱', "asterisk-six"),
    (0x2734, '✴', "star-eight-points"),
    (0x273F, '✿', "black-florette"),
    (0x2740, '❀', "florette"),
    (0x2744, '❄', "snowflake"),
    (0x2765, '❥', "heart-tilted"),
    (0x2796, '➖', "minus"),
    (0x2797, '➗', "divide"),
    (0x27A1, '➡', "arrow-right"),
    (0x27F2, '⟲', "rotate-cw-side"),
    (0x27F3, '⟳', "rotate-ccw-side"),
    (0x2B05, '⬅', "arrow-left"),
    (0x2B06, '⬆', "arrow-up"),
    (0x2B07, '⬇', "arrow-down"),
    (0x2B08, '⬈', "arrow-up-right"),
    (0x2B09, '⬉', "arrow-up-left"),
    (0x2B0A, '⬊', "arrow-down-right"),
    (0x2B0B, '⬋', "arrow-down-left"),
    (0x2B0C, '⬌', "arrow-left-right"),
    (0x2B0D, '⬍', "arrow-up-down"),
    (0x2B1F, '⬟', "pentagon"),
    (0x2B23, '⬣', "hexagon"),
    (0x2B88, '⮈', "circle-arrow-left"),
    (0x2B89, '⮉', "circle-arrow-up"),
    (0x2B8A, '⮊', "circle-arrow-right"),
    (0x2B8B, '⮋', "circle-arrow-down"),
    (0x2BA8, '⮨', "arrow-reply"),
    (0x2BA9, '⮩', "arrow-forward"),
    (0x2BAA, '⮪', "arrow-undo"),
    (0x2BAB, '⮫', "arrow-redo"),
    (0xE600, '', "web-dribbble"),
    (0xE601, '', "web-stackoverflow"),
    (0xE602, '', "web-vimeo"),
    (0xE603, '', "web-twitter"),
    (0xE604, '', "web-facebook"),
    (0xE605, '', "web-googleplus"),
    (0xE606, '', "web-pinterest"),
    (0xE607, '', "web-tumblr"),
    (0xE608, '', "web-linkedin"),
    (0xE60A, '', "web-stumbleupon"),
    (0xE60B, '', "web-lastfm"),
    (0xE60C, '', "web-rdio"),
    (0xE60D, '', "web-spotify"),
    (0xE60E, '', "web-qq"),
    (0xE60F, '', "web-instagram"),
    (0xE610, '', "web-dropbox"),
    (0xE611, '', "web-evernote"),
    (0xE612, '', "web-flattr"),
    (0xE613, '', "web-skype"),
    (0xE614, '', "web-renren"),
    (0xE615, '', "web-sina-weibo"),
    (0xE616, '', "web-paypal"),
    (0xE617, '', "web-picasa"),
    (0xE618, '', "os-android"),
    (0xE619, '', "web-mixi"),
    (0xE61A, '', "web-behance"),
    (0xE61B, '', "web-circles"),
    (0xE61C, '', "web-vk"),
    (0xE61D, '', "web-smashing"),
    (0xE61E, '', "web-forrst"),
    (0xE61F, '', "os-windows"),
    (0xE620, '', "web-flickr"),
    (0xE621, '', "web-picassa"),
    (0xE622, '', "web-deviantart"),
    (0xE623, '', "web-steam"),
    (0xE624, '', "web-github"),
    (0xE625, '', "web-git"),
    (0xE626, '', "web-blogger"),
    (0xE627, '', "web-soundcloud"),
    (0xE628, '', "web-reddit"),
    (0xE629, '', "web-delicious"),
    (0xE62A, '', "browser-chrome"),
    (0xE62B, '', "browser-firefox"),
    (0xE62C, '', "browser-ie"),
    (0xE62D, '', "browser-opera"),
    (0xE62E, '', "browser-safari"),
    (0xE62F, '', "web-google-drive"),
    (0xE630, '', "web-wordpress"),
    (0xE631, '', "web-joomla"),
    (0xE632, '', "lastfm"),
    (0xE633, '', "web-foursquare"),
    (0xE634, '', "web-yelp"),
    (0xE635, '', "web-drupal"),
    (0xE636, '', "youtube"),
    (0xF189, '', "vk"),
    (0xF1A6, '', "digg"),
    (0xF1CA, '', "web-vine"),
    (0xF8FF, '', "os-apple"),
    (0xFE5C, '﹜', "brace-right"),
    (0xFF01, '！', "exclamation-mark"),
    (0xFF03, '＃', "number"),
    (0xFF04, '＄', "currency-dollar"),
    (0xFF05, '％', "percent"),
    (0xFF06, '＆', "ampersand"),
    (0xFF08, '（', "parenthesis-left"),
    (0xFF09, '）', "parenthesis-right"),
    (0xFF0A, '＊', "asterisk-five"),
    (0xFF10, '０', "digit-zero"),
    (0xFF11, '１', "digit-one"),
    (0xFF12, '２', "digit-two"),
    (0xFF13, '３', "digit-three"),
    (0xFF14, '４', "digit-four"),
    (0xFF15, '５', "digit-five"),
    (0xFF16, '６', "digit-six"),
    (0xFF17, '７', "digit-seven"),
    (0xFF18, '８', "digit-eight"),
    (0xFF19, '９', "digit-nine"),
    (0xFF1F, '？', "question-mark"),
    (0xFF20, '＠', "at-symbol"),
    (0xFF21, 'Ａ', "letter-A"),
    (0xFF22, 'Ｂ', "letter-B"),
    (0xFF23, 'Ｃ', "letter-C"),
    (0xFF24, 'Ｄ', "letter-D"),
    (0xFF25, 'Ｅ', "letter-E"),
    (0xFF26, 'Ｆ', "letter-F"),
    (0xFF27, 'Ｇ', "letter-G"),
    (0xFF28, 'Ｈ', "letter-H"),
    (0xFF29, 'Ｉ', "letter-I"),
    (0xFF2A, 'Ｊ', "letter-J"),
    (0xFF2B, 'Ｋ', "letter-K"),
    (0xFF2C, 'Ｌ', "letter-L"),
    (0xFF2D, 'Ｍ', "letter-M"),
    (0xFF2E, 'Ｎ', "letter-N"),
    (0xFF2F, 'Ｏ', "letter-O"),
    (0xFF30, 'Ｐ', "letter-P"),
    (0xFF31, 'Ｑ', "letter-Q"),
    (0xFF32, 'Ｒ', "letter-R"),
    (0xFF33, 'Ｓ', "stack-window"),
    (0xFF34, 'Ｔ', "letter-S"),
    (0xFF35, 'Ｕ', "letter-T"),
    (0xFF36, 'Ｖ', "letter-U"),
    (0xFF37, 'Ｗ', "letter-V"),
    (0xFF38, 'Ｘ', "letter-W"),
    (0xFF39, 'Ｙ', "letter-X"),
    (0xFF3A, 'Ｚ', "letter-Z"),
    (0xFF3B, '［', "square-bracket-left"),
    (0xFF3C, '＼', "at"),
    (0xFF3D, '］', "square-bracket-right"),
    (0xFF41, 'ａ', "letter-a"),
    (0xFF42, 'ｂ', "letter-b"),
    (0xFF43, 'ｃ', "letter-c"),
    (0xFF44, 'ｄ', "letter-d"),
    (0xFF45, 'ｅ', "letter-e"),
    (0xFF46, 'ｆ', "letter-f"),
    (0xFF47, 'ｇ', "letter-g"),
    (0xFF48, 'ｈ', "letter-h"),
    (0xFF49, 'ｉ', "letter-i"),
    (0xFF4A, 'ｊ', "letter-j"),
    (0xFF4B, 'ｋ', "letter-k"),
    (0xFF4C, 'ｌ', "letter-l"),
    (0xFF4D, 'ｍ', "letter-m"),
    (0xFF4E, 'ｎ', "letter-n"),
    (0xFF4F, 'ｏ', "letter-o"),
    (0xFF50, 'ｐ', "letter-p"),
    (0xFF51, 'ｑ', "letter-q"),
    (0xFF52, 'ｒ', "letter-r"),
    (0xFF53, 'ｓ', "letter-s"),
    (0xFF54, 'ｔ', "letter-t"),
    (0xFF55, 'ｕ', "letter-u"),
    (0xFF56, 'ｖ', "letter-v"),
    (0xFF57, 'ｗ', "letter-w"),
    (0xFF58, 'ｘ', "letter-x"),
    (0xFF59, 'ｙ', "letter-y"),
    (0xFF5A, 'ｚ', "letter-z"),
    (0xFF5B, '｛', "brace-left"),
    (0xFFE1, '￡', "currency-pound"),
    (0xFFE5, '￥', "yen"),
    (0x1D11E, '𝄞', "g-clef"),
    (0x1F0A1, '🂡', "ace-of-spades"),
    (0x1F0B1, '🂱', "ace-of-hearts"),
    (0x1F0C1, '🃁', "ace-of-diamonds"),
    (0x1F0D1, '🃑', "ace-of-clubs"),
    (0x1F308, '🌈', "rainbow"),
    (0x1F30A, '🌊', "water-wave"),
    (0x1F30D, '🌍', "globe2"),
    (0x1F310, '🌐', "globe-meridians"),
    (0x1F311, '🌑', "moon-new"),
    (0x1F312, '🌒', "moon-waxing-crescent"),
    (0x1F313, '🌓', "moon-first-quarter"),
    (0x1F314, '🌔', "moon-waxing-gibbous"),
    (0x1F315, '🌕', "moon-full"),
    (0x1F316, '🌖', "moon-waning-gibbous"),
    (0x1F317, '🌗', "moon-last-quarter"),
    (0x1F318, '🌘', "moon-waning-crescent"),
    (0x1F320, '🌠', "star-shooting"),
    (0x1F332, '🌲', "tree-pine"),
    (0x1F333, '🌳', "tree"),
    (0x1F334, '🌴', "tree-palm"),
    (0x1F335, '🌵', "cactus"),
    (0x1F33F, '🌿', "herb"),
    (0x1F340, '🍀', "four-leaf-clover"),
    (0x1F341, '🍁', "maple-leaf"),
    (0x1F342, '🍂', "leaf"),
    (0x1F344, '🍄', "mushroom"),
    (0x1F345, '🍅', "tomato3"),
    (0x1F347, '🍇', "grapes"),
    (0x1F34B, '🍋', "lemon"),
    (0x1F34E, '🍎', "apple"),
    (0x1F350, '🍐', "pear"),
    (0x1F354, '🍔', "food-hamburger"),
    (0x1F355, '🍕', "food-pizza"),
    (0x1F357, '🍗', "chicken-leg"),
    (0x1F359, '🍙', "rice-ball"),
    (0x1F35A, '🍚', "food-rice"),
    (0x1F35C, '🍜', "steaming-bowl"),
    (0x1F35D, '🍝', "food-spaghetti"),
    (0x1F35E, '🍞', "bread"),
    (0x1F35F, '🍟', "fries"),
    (0x1F363, '🍣', "sushi"),
    (0x1F368, '🍨', "food-ice-cream"),
    (0x1F369, '🍩', "donut"),
    (0x1F36A, '🍪', "gingerbread"),
    (0x1F36C, '🍬', "candy"),
    (0x1F36D, '🍭', "lollipop"),
    (0x1F372, '🍲', "pot-food"),
    (0x1F373, '🍳', "cooking"),
    (0x1F374, '🍴', "fork-knife"),
    (0x1F377, '🍷', "drink-wine"),
    (0x1F378, '🍸', "drink-cocktail"),
    (0x1F379, '🍹', "drink-tropical"),
    (0x1F37A, '🍺', "drink-beer"),
    (0x1F37C, '🍼', "baby-bottle"),
    (0x1F37D, '🍽', "fork-knife-plate"),
    (0x1F381, '🎁', "gift"),
    (0x1F382, '🎂', "cake"),
    (0x1F383, '🎃', "jack-o-lantern"),
    (0x1F384, '🎄', "christmas-tree"),
    (0x1F385, '🎅', "face-santa-claus"),
    (0x1F386, '🎆', "fireworks"),
    (0x1F388, '🎈', "balloon"),
    (0x1F393, '🎓', "graduation"),
    (0x1F396, '🎖', "medal-military"),
    (0x1F39E, '🎞', "film"),
    (0x1F39F, '🎟', "ticket"),
    (0x1F3A1, '🎡', "ferris-wheel"),
    (0x1F3A2, '🎢', "rollercoaster"),
    (0x1F3A4, '🎤', "microphone"),
    (0x1F3A5, '🎥', "camera-movie"),
    (0x1F3A6, '🎦', "cinema"),
    (0x1F3A7, '🎧', "headphone"),
    (0x1F3A8, '🎨', "palette"),
    (0x1F3A9, '🎩', "tophat"),
    (0x1F3AA, '🎪', "circus"),
    (0x1F3AC, '🎬', "movie"),
    (0x1F3AD, '🎭', "performing-arts"),
    (0x1F3AE, '🎮', "videogame"),
    (0x1F3AF, '🎯', "target"),
    (0x1F3B0, '🎰', "slot-machine"),
    (0x1F3B1, '🎱', "billiards"),
    (0x1F3B2, '🎲', "die"),
    (0x1F3B3, '🎳', "bowling"),
    (0x1F3B7, '🎷', "saxophone"),
    (0x1F3B8, '🎸', "guitar"),
    (0x1F3B9, '🎹', "piano"),
    (0x1F3BA, '🎺', "music-trumpet"),
    (0x1F3BB, '🎻', "music-violin"),
    (0x1F3BE, '🎾', "tennis"),
    (0x1F3C1, '🏁', "flag-checkered"),
    (0x1F3C2, '🏂', "snowboarding"),
    (0x1F3C3, '🏃', "running"),
    (0x1F3C5, '🏅', "medal-sports"),
    (0x1F3C6, '🏆', "trophy"),
    (0x1F3C8, '🏈', "football-american"),
    (0x1F3CA, '🏊', "swimming"),
    (0x1F3CB, '🏋', "weighlifting"),
    (0x1F3CD, '🏍', "motorbike"),
    (0x1F3E0, '🏠', "home"),
    (0x1F3E1, '🏡', "volume-mute"),
    (0x1F3E2, '🏢', "building"),
    (0x1F3E6, '🏦', "bank"),
    (0x1F3E8, '🏨', "hotel"),
    (0x1F3EA, '🏪', "convenience-store"),
    (0x1F3EB, '🏫', "school"),
    (0x1F3ED, '🏭', "factory"),
    (0x1F3F0, '🏰', "castle"),
    (0x1F3F7, '🏷', "label"),
    (0x1F404, '🐄', "animal-cow"),
    (0x1F407, '🐇', "animal-rabbit"),
    (0x1F408, '🐈', "animal-cat"),
    (0x1F40C, '🐌', "animal-snail"),
    (0x1F40D, '🐍', "snake"),
    (0x1F40E, '🐎', "animal-horse"),
    (0x1F410, '🐐', "animal-goat"),
    (0x1F413, '🐓', "animal-rooster"),
    (0x1F414, '🐔', "food-chicken"),
    (0x1F416, '🐖', "animal-pig"),
    (0x1F41B, '🐛', "animal-bug"),
    (0x1F41C, '🐜', "animal-ant"),
    (0x1F427, '🐧', "linux"),
    (0x1F42A, '🐪', "animal-dromedary-camel"),
    (0x1F42B, '🐫', "animal-bactrian-camel"),
    (0x1F42C, '🐬', "animal-dolphin"),
    (0x1F431, '🐱', "face-kitty"),
    (0x1F435, '🐵', "face-monkey"),
    (0x1F436, '🐶', "face-chihuahua"),
    (0x1F439, '🐹', "face-hamster"),
    (0x1F43B, '🐻', "face-bear"),
    (0x1F43C, '🐼', "panda"),
    (0x1F43E, '🐾', "paw-prints"),
    (0x1F441, '👁', "eye"),
    (0x1F442, '👂', "ear"),
    (0x1F44D, '👍', "thumbs-up"),
    (0x1F44E, '👎', "thumbs-down"),
    (0x1F451, '👑', "crown"),
    (0x1F453, '👓', "eyeglasses"),
    (0x1F454, '👔', "outfit-necktie"),
    (0x1F455, '👕', "outfit-shirt"),
    (0x1F457, '👗', "outfit-dress"),
    (0x1F459, '👙', "outfit-bikini"),
    (0x1F45B, '👛', "purse"),
    (0x1F45C, '👜', "handbag"),
    (0x1F460, '👠', "high-heeled-shoes"),
    (0x1F461, '👡', "sandals"),
    (0x1F463, '👣', "footprints"),
    (0x1F464, '👤', "user"),
    (0x1F465, '👥', "users"),
    (0x1F466, '👦', "face-boy"),
    (0x1F467, '👧', "face-girl"),
    (0x1F468, '👨', "face-man"),
    (0x1F469, '👩', "face-woman"),
    (0x1F46A, '👪', "family"),
    (0x1F46B, '👫', "man-and-woman"),
    (0x1F46C, '👬', "man-and-man"),
    (0x1F46D, '👭', "woman-and-woman"),
    (0x1F473, '👳', "face-man-with-turban"),
    (0x1F474, '👴', "face-old-chinese-man"),
    (0x1F476, '👶', "face-baby"),
    (0x1F477, '👷', "construction-worker"),
    (0x1F478, '👸', "face-princess"),
    (0x1F47B, '👻', "ghost"),
    (0x1F47D, '👽', "alien"),
    (0x1F47F, '👿', "imp"),
    (0x1F480, '💀', "skull"),
    (0x1F481, '💁', "face-callcenter"),
    (0x1F482, '💂', "guard"),
    (0x1F483, '💃', "dancing"),
    (0x1F484, '💄', "lipstick"),
    (0x1F489, '💉', "syringe"),
    (0x1F48A, '💊', "pill"),
    (0x1F48B, '💋', "kiss"),
    (0x1F48D, '💍', "ring"),
    (0x1F48E, '💎', "diamond"),
    (0x1F490, '💐', "bouquet"),
    (0x1F493, '💓', "heart-beating"),
    (0x1F494, '💔', "heart-broken"),
    (0x1F495, '💕', "hearts"),
    (0x1F498, '💘', "heart-with-arrow"),
    (0x1F49D, '💝', "heart-ribbon"),
    (0x1F4A1, '💡', "lightbulb"),
    (0x1F4A3, '💣', "bomb"),
    (0x1F4A5, '💥', "explosion"),
    (0x1F4A7, '💧', "droplet"),
    (0x1F4AC, '💬', "speech-bubble"),
    (0x1F4B0, '💰', "money-bag"),
    (0x1F4B1, '💱', "currency-exchange"),
    (0x1F4B3, '💳', "creditcard"),
    (0x1F4B5, '💵', "banknote"),
    (0x1F4BA, '💺', "chair"),
    (0x1F4BB, '💻', "laptop"),
    (0x1F4BC, '💼', "suitcase"),
    (0x1F4BE, '💾', "floppy"),
    (0x1F4BF, '💿', "disk"),
    (0x1F4C5, '📅', "calendar-month"),
    (0x1F4C6, '📆', "calendar-day"),
    (0x1F4C8, '📈', "chart-up"),
    (0x1F4C9, '📉', "chart-down"),
    (0x1F4CA, '📊', "chart"),
    (0x1F4CB, '📋', "clipboard"),
    (0x1F4CC, '📌', "pushpin"),
    (0x1F4CE, '📎', "paperclip"),
    (0x1F4CF, '📏', "ruler2"),
    (0x1F4D0, '📐', "ruler"),
    (0x1F4D2, '📒', "addressbook"),
    (0x1F4D3, '📓', "notebook"),
    (0x1F4D5, '📕', "book"),
    (0x1F4D6, '📖', "book-open"),
    (0x1F4DA, '📚', "books"),
    (0x1F4DE, '📞', "phone-receiver"),
    (0x1F4DF, '📟', "pager"),
    (0x1F4E1, '📡', "satellite-disk"),
    (0x1F4E4, '📤', "outbox"),
    (0x1F4E5, '📥', "inbox"),
    (0x1F4F0, '📰', "newspaper"),
    (0x1F4F1, '📱', "phone-mobile"),
    (0x1F4F7, '📷', "photo-camera"),
    (0x1F4F8, '📸', "photo-camera-flash"),
    (0x1F4F9, '📹', "video-camera"),
    (0x1F4FA, '📺', "television"),
    (0x1F4FB, '📻', "radio"),
    (0x1F4FD, '📽', "projector"),
    (0x1F4FE, '📾', "music-player"),
    (0x1F500, '🔀', "shuffle"),
    (0x1F501, '🔁', "loop"),
    (0x1F503, '🔃', "loop-alt"),
    (0x1F506, '🔆', "brightness"),
    (0x1F508, '🔈', "volume"),
    (0x1F509, '🔉', "volume-low"),
    (0x1F50A, '🔊', "volume-high"),
    (0x1F50B, '🔋', "battery"),
    (0x1F50C, '🔌', "electric-cord"),
    (0x1F50D, '🔍', "search-left"),
    (0x1F50E, '🔎', "search-right"),
    (0x1F50F, '🔏', "lock"),
    (0x1F511, '🔑', "key"),
    (0x1F513, '🔓', "lock-open"),
    (0x1F514, '🔔', "bell"),
    (0x1F516, '🔖', "bookmark"),
    (0x1F517, '🔗', "link"),
    (0x1F518, '🔘', "radio-checked"),
    (0x1F525, '🔥', "fire"),
    (0x1F526, '🔦', "flashlight"),
    (0x1F527, '🔧', "wrench"),
    (0x1F528, '🔨', "hammer"),
    (0x1F529, '🔩', "nut-and-bolt"),
    (0x1F52A, '🔪', "knife"),
    (0x1F52B, '🔫', "pistol"),
    (0x1F52C, '🔬', "microscope"),
    (0x1F52D, '🔭', "telescope"),
    (0x1F542, '🕂', "cross-pommee"),
    (0x1F548, '🕈', "celtic-cross"),
    (0x1F549, '🕉', "om"),
    (0x1F54A, '🕊', "peace-dove"),
    (0x1F553, '🕓', "clock"),
    (0x1F56B, '🕫', "bullhorn"),
    (0x1F56F, '🕯', "candle"),
    (0x1F571, '🕱', "death"),
    (0x1F575, '🕵', "spy"),
    (0x1F576, '🕶', "sunglasses"),
    (0x1F577, '🕷', "spider"),
    (0x1F578, '🕸', "spider7-web"),
    (0x1F579, '🕹', "joystick"),
    (0x1F583, '🖃', "envelope-stamped"),
    (0x1F58A, '🖊', "pen"),
    (0x1F5A5, '🖥', "pc-desktop"),
    (0x1F5A7, '🖧', "computer-network"),
    (0x1F5A9, '🖩', "calculator"),
    (0x1F5AD, '🖭', "tape"),
    (0x1F5AE, '🖮', "keyboard"),
    (0x1F5B1, '🖱', "mouse"),
    (0x1F5B3, '🖳', "pc-old"),
    (0x1F5B4, '🖴', "hard-disk"),
    (0x1F5B5, '🖵', "monitor"),
    (0x1F5B6, '🖶', "printer"),
    (0x1F5B9, '🖹', "file-text"),
    (0x1F5BB, '🖻', "file-image"),
    (0x1F5BC, '🖼', "picture"),
    (0x1F5C0, '🗀', "folder"),
    (0x1F5C1, '🗁', "folder-open"),
    (0x1F5C4, '🗄', "cabinet"),
    (0x1F5CA, '🗊', "notepad"),
    (0x1F5CB, '🗋', "file"),
    (0x1F5D0, '🗐', "copy"),
    (0x1F5D1, '🗑', "garbage-can"),
    (0x1F5D5, '🗕', "minimize"),
    (0x1F5D6, '🗖', "maximize-window"),
    (0x1F5D9, '🗙', "cancel"),
    (0x1F5DB, '🗛', "font-size"),
    (0x1F5DD, '🗝', "key-alt"),
    (0x1F5E0, '🗠', "chart-line"),
    (0x1F5E1, '🗡', "dagger"),
    (0x1F5FA, '🗺', "world-map"),
    (0x1F603, '😃', "smiley-happy"),
    (0x1F604, '😄', "smiley-grin"),
    (0x1F608, '😈', "smiley-evil"),
    (0x1F60E, '😎', "smiley-cool"),
    (0x1F680, '🚀', "rocket"),
    (0x1F68C, '🚌', "bus"),
    (0x1F68D, '🚍', "bus-front"),
    (0x1F697, '🚗', "car"),
    (0x1F698, '🚘', "car-front"),
    (0x1F69A, '🚚', "truck"),
    (0x1F6A6, '🚦', "traffic-light"),
    (0x1F6AB, '🚫', "forbidden"),
    (0x1F6AC, '🚬', "smoking"),
    (0x1F6AD, '🚭', "smoking-forbidden"),
    (0x1F6B2, '🚲', "bicycle"),
    (0x1F6B4, '🚴', "bicyclist"),
    (0x1F6B6, '🚶', "pedestrian"),
    (0x1F6BB, '🚻', "restroom"),
    (0x1F6BC, '🚼', "baby"),
    (0x1F6C2, '🛂', "passport-control"),
    (0x1F6C5, '🛅', "left-luggage"),
    (0x1F6E0, '🛠', "hammer-wrench"),
    (0x1F6E1, '🛡', "shield"),
];

#[allow(unused)]
#[rustfmt::skip]
pub const NOTO_EMOJI_LIST: &[(u32, char, &str)] = &[
    (0xA9, '©', "copyright sign"),
    (0xAE, '®', "registered sign"),
    (0x203C, '‼', "double exclamation mark"),
    (0x2049, '⁉', "exclamation question mark"),
    (0x20E3, '⃣', "combining enclosing keycap"),
    (0x2122, '™', "trade mark sign"),
    (0x2139, 'ℹ', "information source"),
    (0x2194, '↔', "left right arrow"),
    (0x2195, '↕', "up down arrow"),
    (0x2196, '↖', "north west arrow"),
    (0x2197, '↗', "north east arrow"),
    (0x2198, '↘', "south east arrow"),
    (0x2199, '↙', "south west arrow"),
    (0x21A9, '↩', "leftwards arrow with hook"),
    (0x21AA, '↪', "rightwards arrow with hook"),
    (0x231A, '⌚', "watch"),
    (0x231B, '⌛', "hourglass"),
    (0x23E9, '⏩', "black right-pointing double triangle"),
    (0x23EA, '⏪', "black left-pointing double triangle"),
    (0x23EB, '⏫', "black up-pointing double triangle"),
    (0x23EC, '⏬', "black down-pointing double triangle"),
    (0x23F0, '⏰', "alarm clock"),
    (0x23F3, '⏳', "hourglass with flowing sand"),
    (0x24C2, 'Ⓜ', "circled latin capital letter m"),
    (0x25AA, '▪', "black small square"),
    (0x25AB, '▫', "white small square"),
    (0x25B6, '▶', "black right-pointing triangle"),
    (0x25C0, '◀', "black left-pointing triangle"),
    (0x25CA, '◊', "lozenge"),
    (0x25FB, '◻', "white medium square"),
    (0x25FC, '◼', "black medium square"),
    (0x25FD, '◽', "white medium small square"),
    (0x25FE, '◾', "black medium small square"),
    (0x2600, '☀', "black sun with rays"),
    (0x2601, '☁', "cloud"),
    (0x260E, '☎', "black telephone"),
    (0x2611, '☑', "ballot box with check"),
    (0x2614, '☔', "umbrella with rain drops"),
    (0x2615, '☕', "hot beverage"),
    (0x261D, '☝', "white up pointing index"),
    (0x263A, '☺', "white smiling face"),
    (0x2648, '♈', "aries"),
    (0x2649, '♉', "taurus"),
    (0x264A, '♊', "gemini"),
    (0x264B, '♋', "cancer"),
    (0x264C, '♌', "leo"),
    (0x264D, '♍', "virgo"),
    (0x264E, '♎', "libra"),
    (0x264F, '♏', "scorpius"),
    (0x2650, '♐', "sagittarius"),
    (0x2651, '♑', "capricorn"),
    (0x2652, '♒', "aquarius"),
    (0x2653, '♓', "pisces"),
    (0x2660, '♠', "black spade suit"),
    (0x2663, '♣', "black club suit"),
    (0x2665, '♥', "black heart suit"),
    (0x2666, '♦', "black diamond suit"),
    (0x2668, '♨', "hot springs"),
    (0x267B, '♻', "black universal recycling symbol"),
    (0x267F, '♿', "wheelchair symbol"),
    (0x2693, '⚓', "anchor"),
    (0x26A0, '⚠', "warning sign"),
    (0x26A1, '⚡', "high voltage sign"),
    (0x26AA, '⚪', "medium white circle"),
    (0x26AB, '⚫', "medium black circle"),
    (0x26BD, '⚽', "soccer ball"),
    (0x26BE, '⚾', "baseball"),
    (0x26C4, '⛄', "snowman without snow"),
    (0x26C5, '⛅', "sun behind cloud"),
    (0x26CE, '⛎', "ophiuchus"),
    (0x26D4, '⛔', "no entry"),
    (0x26EA, '⛪', "church"),
    (0x26F2, '⛲', "fountain"),
    (0x26F3, '⛳', "flag in hole"),
    (0x26F5, '⛵', "sailboat"),
    (0x26FA, '⛺', "tent"),
    (0x26FD, '⛽', "fuel pump"),
    (0x2702, '✂', "black scissors"),
    (0x2705, '✅', "white heavy check mark"),
    (0x2708, '✈', "airplane"),
    (0x2709, '✉', "envelope"),
    (0x270A, '✊', "raised fist"),
    (0x270B, '✋', "raised hand"),
    (0x270C, '✌', "victory hand"),
    (0x270F, '✏', "pencil"),
    (0x2712, '✒', "black nib"),
    (0x2714, '✔', "heavy check mark"),
    (0x2716, '✖', "heavy multiplication x"),
    (0x2728, '✨', "sparkles"),
    (0x2733, '✳', "eight spoked asterisk"),
    (0x2734, '✴', "eight pointed black star"),
    (0x2744, '❄', "snowflake"),
    (0x2747, '❇', "sparkle"),
    (0x274C, '❌', "cross mark"),
    (0x274E, '❎', "negative squared cross mark"),
    (0x2753, '❓', "black question mark ornament"),
    (0x2754, '❔', "white question mark ornament"),
    (0x2755, '❕', "white exclamation mark ornament"),
    (0x2757, '❗', "heavy exclamation mark symbol"),
    (0x2764, '❤', "heavy black heart"),
    (0x2795, '➕', "heavy plus sign"),
    (0x2796, '➖', "heavy minus sign"),
    (0x2797, '➗', "heavy division sign"),
    (0x27A1, '➡', "black rightwards arrow"),
    (0x27B0, '➰', "curly loop"),
    (0x27BF, '➿', "double curly loop"),
    (0x2934, '⤴', "arrow pointing rightwards then curving upwards"),
    (0x2935, '⤵', "arrow pointing rightwards then curving downwards"),
    (0x2B05, '⬅', "leftwards black arrow"),
    (0x2B06, '⬆', "upwards black arrow"),
    (0x2B07, '⬇', "downwards black arrow"),
    (0x2B1B, '⬛', "black large square"),
    (0x2B1C, '⬜', "white large square"),
    (0x2B50, '⭐', "white medium star"),
    (0x2B55, '⭕', "heavy large circle"),
    (0x3030, '〰', "wavy dash"),
    (0x303D, '〽', "part alternation mark"),
    (0x3297, '㊗', "circled ideograph congratulation"),
    (0x3299, '㊙', "circled ideograph secret"),
    (0x1F004, '🀄', "mahjong tile red dragon"),
    (0x1F0CF, '🃏', "playing card black joker"),
    (0x1F170, '🅰', "negative squared latin capital letter a"),
    (0x1F171, '🅱', "negative squared latin capital letter b"),
    (0x1F17E, '🅾', "negative squared latin capital letter o"),
    (0x1F17F, '🅿', "negative squared latin capital letter p"),
    (0x1F18E, '🆎', "negative squared ab"),
    (0x1F191, '🆑', "squared cl"),
    (0x1F192, '🆒', "squared cool"),
    (0x1F193, '🆓', "squared free"),
    (0x1F194, '🆔', "squared id"),
    (0x1F195, '🆕', "squared new"),
    (0x1F196, '🆖', "squared ng"),
    (0x1F197, '🆗', "squared ok"),
    (0x1F198, '🆘', "squared sos"),
    (0x1F199, '🆙', "squared up with exclamation mark"),
    (0x1F19A, '🆚', "squared vs"),
    (0x1F1E6, '🇦', "regional indicator symbol letter a"),
    (0x1F1E7, '🇧', "regional indicator symbol letter b"),
    (0x1F1E8, '🇨', "regional indicator symbol letter c"),
    (0x1F1E9, '🇩', "regional indicator symbol letter d"),
    (0x1F1EA, '🇪', "regional indicator symbol letter e"),
    (0x1F1EB, '🇫', "regional indicator symbol letter f"),
    (0x1F1EC, '🇬', "regional indicator symbol letter g"),
    (0x1F1ED, '🇭', "regional indicator symbol letter h"),
    (0x1F1EE, '🇮', "regional indicator symbol letter i"),
    (0x1F1EF, '🇯', "regional indicator symbol letter j"),
    (0x1F1F0, '🇰', "regional indicator symbol letter k"),
    (0x1F1F1, '🇱', "regional indicator symbol letter l"),
    (0x1F1F2, '🇲', "regional indicator symbol letter m"),
    (0x1F1F3, '🇳', "regional indicator symbol letter n"),
    (0x1F1F4, '🇴', "regional indicator symbol letter o"),
    (0x1F1F5, '🇵', "regional indicator symbol letter p"),
    (0x1F1F6, '🇶', "regional indicator symbol letter q"),
    (0x1F1F7, '🇷', "regional indicator symbol letter r"),
    (0x1F1F8, '🇸', "regional indicator symbol letter s"),
    (0x1F1F9, '🇹', "regional indicator symbol letter t"),
    (0x1F1FA, '🇺', "regional indicator symbol letter u"),
    (0x1F1FB, '🇻', "regional indicator symbol letter v"),
    (0x1F1FC, '🇼', "regional indicator symbol letter w"),
    (0x1F1FD, '🇽', "regional indicator symbol letter x"),
    (0x1F1FE, '🇾', "regional indicator symbol letter y"),
    (0x1F1FF, '🇿', "regional indicator symbol letter z"),
    (0x1F201, '🈁', "squared katakana koko"),
    (0x1F202, '🈂', "squared katakana sa"),
    (0x1F21A, '🈚', "squared cjk unified ideograph-7121"),
    (0x1F22F, '🈯', "squared cjk unified ideograph-6307"),
    (0x1F232, '🈲', "squared cjk unified ideograph-7981"),
    (0x1F233, '🈳', "squared cjk unified ideograph-7a7a"),
    (0x1F234, '🈴', "squared cjk unified ideograph-5408"),
    (0x1F235, '🈵', "squared cjk unified ideograph-6e80"),
    (0x1F236, '🈶', "squared cjk unified ideograph-6709"),
    (0x1F237, '🈷', "squared cjk unified ideograph-6708"),
    (0x1F238, '🈸', "squared cjk unified ideograph-7533"),
    (0x1F239, '🈹', "squared cjk unified ideograph-5272"),
    (0x1F23A, '🈺', "squared cjk unified ideograph-55b6"),
    (0x1F250, '🉐', "circled ideograph advantage"),
    (0x1F251, '🉑', "circled ideograph accept"),
    (0x1F300, '🌀', "cyclone"),
    (0x1F301, '🌁', "foggy"),
    (0x1F302, '🌂', "closed umbrella"),
    (0x1F303, '🌃', "night with stars"),
    (0x1F304, '🌄', "sunrise over mountains"),
    (0x1F305, '🌅', "sunrise"),
    (0x1F306, '🌆', "cityscape at dusk"),
    (0x1F307, '🌇', "sunset over buildings"),
    (0x1F308, '🌈', "rainbow"),
    (0x1F309, '🌉', "bridge at night"),
    (0x1F30A, '🌊', "water wave"),
    (0x1F30B, '🌋', "volcano"),
    (0x1F30C, '🌌', "milky way"),
    (0x1F30D, '🌍', "earth globe europe-africa"),
    (0x1F30E, '🌎', "earth globe americas"),
    (0x1F30F, '🌏', "earth globe asia-australia"),
    (0x1F310, '🌐', "globe with meridians"),
    (0x1F311, '🌑', "new moon symbol"),
    (0x1F312, '🌒', "waxing crescent moon symbol"),
    (0x1F313, '🌓', "first quarter moon symbol"),
    (0x1F314, '🌔', "waxing gibbous moon symbol"),
    (0x1F315, '🌕', "full moon symbol"),
    (0x1F316, '🌖', "waning gibbous moon symbol"),
    (0x1F317, '🌗', "last quarter moon symbol"),
    (0x1F318, '🌘', "waning crescent moon symbol"),
    (0x1F319, '🌙', "crescent moon"),
    (0x1F31A, '🌚', "new moon with face"),
    (0x1F31B, '🌛', "first quarter moon with face"),
    (0x1F31C, '🌜', "last quarter moon with face"),
    (0x1F31D, '🌝', "full moon with face"),
    (0x1F31E, '🌞', "sun with face"),
    (0x1F31F, '🌟', "glowing star"),
    (0x1F320, '🌠', "shooting star"),
    (0x1F330, '🌰', "chestnut"),
    (0x1F331, '🌱', "seedling"),
    (0x1F332, '🌲', "evergreen tree"),
    (0x1F333, '🌳', "deciduous tree"),
    (0x1F334, '🌴', "palm tree"),
    (0x1F335, '🌵', "cactus"),
    (0x1F337, '🌷', "tulip"),
    (0x1F338, '🌸', "cherry blossom"),
    (0x1F339, '🌹', "rose"),
    (0x1F33A, '🌺', "hibiscus"),
    (0x1F33B, '🌻', "sunflower"),
    (0x1F33C, '🌼', "blossom"),
    (0x1F33D, '🌽', "ear of maize"),
    (0x1F33E, '🌾', "ear of rice"),
    (0x1F33F, '🌿', "herb"),
    (0x1F340, '🍀', "four leaf clover"),
    (0x1F341, '🍁', "maple leaf"),
    (0x1F342, '🍂', "fallen leaf"),
    (0x1F343, '🍃', "leaf fluttering in wind"),
    (0x1F344, '🍄', "mushroom"),
    (0x1F345, '🍅', "tomato"),
    (0x1F346, '🍆', "aubergine"),
    (0x1F347, '🍇', "grapes"),
    (0x1F348, '🍈', "melon"),
    (0x1F349, '🍉', "watermelon"),
    (0x1F34A, '🍊', "tangerine"),
    (0x1F34B, '🍋', "lemon"),
    (0x1F34C, '🍌', "banana"),
    (0x1F34D, '🍍', "pineapple"),
    (0x1F34E, '🍎', "red apple"),
    (0x1F34F, '🍏', "green apple"),
    (0x1F350, '🍐', "pear"),
    (0x1F351, '🍑', "peach"),
    (0x1F352, '🍒', "cherries"),
    (0x1F353, '🍓', "strawberry"),
    (0x1F354, '🍔', "hamburger"),
    (0x1F355, '🍕', "slice of pizza"),
    (0x1F356, '🍖', "meat on bone"),
    (0x1F357, '🍗', "poultry leg"),
    (0x1F358, '🍘', "rice cracker"),
    (0x1F359, '🍙', "rice ball"),
    (0x1F35A, '🍚', "cooked rice"),
    (0x1F35B, '🍛', "curry and rice"),
    (0x1F35C, '🍜', "steaming bowl"),
    (0x1F35D, '🍝', "spaghetti"),
    (0x1F35E, '🍞', "bread"),
    (0x1F35F, '🍟', "french fries"),
    (0x1F360, '🍠', "roasted sweet potato"),
    (0x1F361, '🍡', "dango"),
    (0x1F362, '🍢', "oden"),
    (0x1F363, '🍣', "sushi"),
    (0x1F364, '🍤', "fried shrimp"),
    (0x1F365, '🍥', "fish cake with swirl design"),
    (0x1F366, '🍦', "soft ice cream"),
    (0x1F367, '🍧', "shaved ice"),
    (0x1F368, '🍨', "ice cream"),
    (0x1F369, '🍩', "doughnut"),
    (0x1F36A, '🍪', "cookie"),
    (0x1F36B, '🍫', "chocolate bar"),
    (0x1F36C, '🍬', "candy"),
    (0x1F36D, '🍭', "lollipop"),
    (0x1F36E, '🍮', "custard"),
    (0x1F36F, '🍯', "honey pot"),
    (0x1F370, '🍰', "shortcake"),
    (0x1F371, '🍱', "bento box"),
    (0x1F372, '🍲', "pot of food"),
    (0x1F373, '🍳', "cooking"),
    (0x1F374, '🍴', "fork and knife"),
    (0x1F375, '🍵', "teacup without handle"),
    (0x1F376, '🍶', "sake bottle and cup"),
    (0x1F377, '🍷', "wine glass"),
    (0x1F378, '🍸', "cocktail glass"),
    (0x1F379, '🍹', "tropical drink"),
    (0x1F37A, '🍺', "beer mug"),
    (0x1F37B, '🍻', "clinking beer mugs"),
    (0x1F37C, '🍼', "baby bottle"),
    (0x1F380, '🎀', "ribbon"),
    (0x1F381, '🎁', "wrapped present"),
    (0x1F382, '🎂', "birthday cake"),
    (0x1F383, '🎃', "jack-o-lantern"),
    (0x1F384, '🎄', "christmas tree"),
    (0x1F385, '🎅', "father christmas"),
    (0x1F386, '🎆', "fireworks"),
    (0x1F387, '🎇', "firework sparkler"),
    (0x1F388, '🎈', "balloon"),
    (0x1F389, '🎉', "party popper"),
    (0x1F38A, '🎊', "confetti ball"),
    (0x1F38B, '🎋', "tanabata tree"),
    (0x1F38C, '🎌', "crossed flags"),
    (0x1F38D, '🎍', "pine decoration"),
    (0x1F38E, '🎎', "japanese dolls"),
    (0x1F38F, '🎏', "carp streamer"),
    (0x1F390, '🎐', "wind chime"),
    (0x1F391, '🎑', "moon viewing ceremony"),
    (0x1F392, '🎒', "school satchel"),
    (0x1F393, '🎓', "graduation cap"),
    (0x1F3A0, '🎠', "carousel horse"),
    (0x1F3A1, '🎡', "ferris wheel"),
    (0x1F3A2, '🎢', "roller coaster"),
    (0x1F3A3, '🎣', "fishing pole and fish"),
    (0x1F3A4, '🎤', "microphone"),
    (0x1F3A5, '🎥', "movie camera"),
    (0x1F3A6, '🎦', "cinema"),
    (0x1F3A7, '🎧', "headphone"),
    (0x1F3A8, '🎨', "artist palette"),
    (0x1F3A9, '🎩', "top hat"),
    (0x1F3AA, '🎪', "circus tent"),
    (0x1F3AB, '🎫', "ticket"),
    (0x1F3AC, '🎬', "clapper board"),
    (0x1F3AD, '🎭', "performing arts"),
    (0x1F3AE, '🎮', "video game"),
    (0x1F3AF, '🎯', "direct hit"),
    (0x1F3B0, '🎰', "slot machine"),
    (0x1F3B1, '🎱', "billiards"),
    (0x1F3B2, '🎲', "game die"),
    (0x1F3B3, '🎳', "bowling"),
    (0x1F3B4, '🎴', "flower playing cards"),
    (0x1F3B5, '🎵', "musical note"),
    (0x1F3B6, '🎶', "multiple musical notes"),
    (0x1F3B7, '🎷', "saxophone"),
    (0x1F3B8, '🎸', "guitar"),
    (0x1F3B9, '🎹', "musical keyboard"),
    (0x1F3BA, '🎺', "trumpet"),
    (0x1F3BB, '🎻', "violin"),
    (0x1F3BC, '🎼', "musical score"),
    (0x1F3BD, '🎽', "running shirt with sash"),
    (0x1F3BE, '🎾', "tennis racquet and ball"),
    (0x1F3BF, '🎿', "ski and ski boot"),
    (0x1F3C0, '🏀', "basketball and hoop"),
    (0x1F3C1, '🏁', "chequered flag"),
    (0x1F3C2, '🏂', "snowboarder"),
    (0x1F3C3, '🏃', "runner"),
    (0x1F3C4, '🏄', "surfer"),
    (0x1F3C6, '🏆', "trophy"),
    (0x1F3C7, '🏇', "horse racing"),
    (0x1F3C8, '🏈', "american football"),
    (0x1F3C9, '🏉', "rugby football"),
    (0x1F3CA, '🏊', "swimmer"),
    (0x1F3E0, '🏠', "house building"),
    (0x1F3E1, '🏡', "house with garden"),
    (0x1F3E2, '🏢', "office building"),
    (0x1F3E3, '🏣', "japanese post office"),
    (0x1F3E4, '🏤', "european post office"),
    (0x1F3E5, '🏥', "hospital"),
    (0x1F3E6, '🏦', "bank"),
    (0x1F3E7, '🏧', "automated teller machine"),
    (0x1F3E8, '🏨', "hotel"),
    (0x1F3E9, '🏩', "love hotel"),
    (0x1F3EA, '🏪', "convenience store"),
    (0x1F3EB, '🏫', "school"),
    (0x1F3EC, '🏬', "department store"),
    (0x1F3ED, '🏭', "factory"),
    (0x1F3EE, '🏮', "izakaya lantern"),
    (0x1F3EF, '🏯', "japanese castle"),
    (0x1F3F0, '🏰', "european castle"),
    (0x1F400, '🐀', "rat"),
    (0x1F401, '🐁', "mouse"),
    (0x1F402, '🐂', "ox"),
    (0x1F403, '🐃', "water buffalo"),
    (0x1F404, '🐄', "cow"),
    (0x1F405, '🐅', "tiger"),
    (0x1F406, '🐆', "leopard"),
    (0x1F407, '🐇', "rabbit"),
    (0x1F408, '🐈', "cat"),
    (0x1F409, '🐉', "dragon"),
    (0x1F40A, '🐊', "crocodile"),
    (0x1F40B, '🐋', "whale"),
    (0x1F40C, '🐌', "snail"),
    (0x1F40D, '🐍', "snake"),
    (0x1F40E, '🐎', "horse"),
    (0x1F40F, '🐏', "ram"),
    (0x1F410, '🐐', "goat"),
    (0x1F411, '🐑', "sheep"),
    (0x1F412, '🐒', "monkey"),
    (0x1F413, '🐓', "rooster"),
    (0x1F414, '🐔', "chicken"),
    (0x1F415, '🐕', "dog"),
    (0x1F416, '🐖', "pig"),
    (0x1F417, '🐗', "boar"),
    (0x1F418, '🐘', "elephant"),
    (0x1F419, '🐙', "octopus"),
    (0x1F41A, '🐚', "spiral shell"),
    (0x1F41B, '🐛', "bug"),
    (0x1F41C, '🐜', "ant"),
    (0x1F41D, '🐝', "honeybee"),
    (0x1F41E, '🐞', "lady beetle"),
    (0x1F41F, '🐟', "fish"),
    (0x1F420, '🐠', "tropical fish"),
    (0x1F421, '🐡', "blowfish"),
    (0x1F422, '🐢', "turtle"),
    (0x1F423, '🐣', "hatching chick"),
    (0x1F424, '🐤', "baby chick"),
    (0x1F425, '🐥', "front-facing baby chick"),
    (0x1F426, '🐦', "bird"),
    (0x1F427, '🐧', "penguin"),
    (0x1F428, '🐨', "koala"),
    (0x1F429, '🐩', "poodle"),
    (0x1F42B, '🐫', "bactrian camel"),
    (0x1F42C, '🐬', "dolphin"),
    (0x1F42D, '🐭', "mouse face"),
    (0x1F42E, '🐮', "cow face"),
    (0x1F42F, '🐯', "tiger face"),
    (0x1F430, '🐰', "rabbit face"),
    (0x1F431, '🐱', "cat face"),
    (0x1F432, '🐲', "dragon face"),
    (0x1F433, '🐳', "spouting whale"),
    (0x1F434, '🐴', "horse face"),
    (0x1F435, '🐵', "monkey face"),
    (0x1F436, '🐶', "dog face"),
    (0x1F437, '🐷', "pig face"),
    (0x1F438, '🐸', "frog face"),
    (0x1F439, '🐹', "hamster face"),
    (0x1F43A, '🐺', "wolf face"),
    (0x1F43B, '🐻', "bear face"),
    (0x1F43C, '🐼', "panda face"),
    (0x1F43D, '🐽', "pig nose"),
    (0x1F43E, '🐾', "paw prints"),
    (0x1F440, '👀', "eyes"),
    (0x1F442, '👂', "ear"),
    (0x1F443, '👃', "nose"),
    (0x1F444, '👄', "mouth"),
    (0x1F445, '👅', "tongue"),
    (0x1F446, '👆', "white up pointing backhand index"),
    (0x1F447, '👇', "white down pointing backhand index"),
    (0x1F448, '👈', "white left pointing backhand index"),
    (0x1F449, '👉', "white right pointing backhand index"),
    (0x1F44A, '👊', "fisted hand sign"),
    (0x1F44B, '👋', "waving hand sign"),
    (0x1F44C, '👌', "ok hand sign"),
    (0x1F44D, '👍', "thumbs up sign"),
    (0x1F44E, '👎', "thumbs down sign"),
    (0x1F44F, '👏', "clapping hands sign"),
    (0x1F450, '👐', "open hands sign"),
    (0x1F451, '👑', "crown"),
    (0x1F452, '👒', "womans hat"),
    (0x1F453, '👓', "eyeglasses"),
    (0x1F454, '👔', "necktie"),
    (0x1F455, '👕', "t-shirt"),
    (0x1F456, '👖', "jeans"),
    (0x1F457, '👗', "dress"),
    (0x1F458, '👘', "kimono"),
    (0x1F459, '👙', "bikini"),
    (0x1F45A, '👚', "womans clothes"),
    (0x1F45B, '👛', "purse"),
    (0x1F45C, '👜', "handbag"),
    (0x1F45D, '👝', "pouch"),
    (0x1F45E, '👞', "mans shoe"),
    (0x1F45F, '👟', "athletic shoe"),
    (0x1F460, '👠', "high-heeled shoe"),
    (0x1F461, '👡', "womans sandal"),
    (0x1F462, '👢', "womans boots"),
    (0x1F463, '👣', "footprints"),
    (0x1F464, '👤', "bust in silhouette"),
    (0x1F465, '👥', "busts in silhouette"),
    (0x1F466, '👦', "boy"),
    (0x1F467, '👧', "girl"),
    (0x1F468, '👨', "man"),
    (0x1F469, '👩', "woman"),
    (0x1F46A, '👪', "family"),
    (0x1F46B, '👫', "man and woman holding hands"),
    (0x1F46C, '👬', "two men holding hands"),
    (0x1F46D, '👭', "two women holding hands"),
    (0x1F46E, '👮', "police officer"),
    (0x1F46F, '👯', "woman with bunny ears"),
    (0x1F470, '👰', "bride with veil"),
    (0x1F471, '👱', "person with blond hair"),
    (0x1F472, '👲', "man with gua pi mao"),
    (0x1F473, '👳', "man with turban"),
    (0x1F474, '👴', "older man"),
    (0x1F475, '👵', "older woman"),
    (0x1F476, '👶', "baby"),
    (0x1F477, '👷', "construction worker"),
    (0x1F478, '👸', "princess"),
    (0x1F479, '👹', "japanese ogre"),
    (0x1F47A, '👺', "japanese goblin"),
    (0x1F47B, '👻', "ghost"),
    (0x1F47C, '👼', "baby angel"),
    (0x1F47D, '👽', "extraterrestrial alien"),
    (0x1F47E, '👾', "alien monster"),
    (0x1F47F, '👿', "imp"),
    (0x1F480, '💀', "skull"),
    (0x1F481, '💁', "information desk person"),
    (0x1F482, '💂', "guardsman"),
    (0x1F483, '💃', "dancer"),
    (0x1F484, '💄', "lipstick"),
    (0x1F485, '💅', "nail polish"),
    (0x1F486, '💆', "face massage"),
    (0x1F487, '💇', "haircut"),
    (0x1F488, '💈', "barber pole"),
    (0x1F489, '💉', "syringe"),
    (0x1F48A, '💊', "pill"),
    (0x1F48B, '💋', "kiss mark"),
    (0x1F48C, '💌', "love letter"),
    (0x1F48D, '💍', "ring"),
    (0x1F48E, '💎', "gem stone"),
    (0x1F48F, '💏', "kiss"),
    (0x1F490, '💐', "bouquet"),
    (0x1F491, '💑', "couple with heart"),
    (0x1F492, '💒', "wedding"),
    (0x1F493, '💓', "beating heart"),
    (0x1F494, '💔', "broken heart"),
    (0x1F495, '💕', "two hearts"),
    (0x1F496, '💖', "sparkling heart"),
    (0x1F497, '💗', "growing heart"),
    (0x1F498, '💘', "heart with arrow"),
    (0x1F499, '💙', "blue heart"),
    (0x1F49A, '💚', "green heart"),
    (0x1F49B, '💛', "yellow heart"),
    (0x1F49C, '💜', "purple heart"),
    (0x1F49D, '💝', "heart with ribbon"),
    (0x1F49E, '💞', "revolving hearts"),
    (0x1F49F, '💟', "heart decoration"),
    (0x1F4A0, '💠', "diamond shape with a dot inside"),
    (0x1F4A1, '💡', "electric light bulb"),
    (0x1F4A2, '💢', "anger symbol"),
    (0x1F4A3, '💣', "bomb"),
    (0x1F4A4, '💤', "sleeping symbol"),
    (0x1F4A5, '💥', "collision symbol"),
    (0x1F4A6, '💦', "splashing sweat symbol"),
    (0x1F4A7, '💧', "droplet"),
    (0x1F4A8, '💨', "dash symbol"),
    (0x1F4A9, '💩', "pile of poo"),
    (0x1F4AA, '💪', "flexed biceps"),
    (0x1F4AB, '💫', "dizzy symbol"),
    (0x1F4AC, '💬', "speech balloon"),
    (0x1F4AD, '💭', "thought balloon"),
    (0x1F4AE, '💮', "white flower"),
    (0x1F4AF, '💯', "hundred points symbol"),
    (0x1F4B0, '💰', "money bag"),
    (0x1F4B1, '💱', "currency exchange"),
    (0x1F4B2, '💲', "heavy dollar sign"),
    (0x1F4B3, '💳', "credit card"),
    (0x1F4B4, '💴', "banknote with yen sign"),
    (0x1F4B5, '💵', "banknote with dollar sign"),
    (0x1F4B6, '💶', "banknote with euro sign"),
    (0x1F4B7, '💷', "banknote with pound sign"),
    (0x1F4B8, '💸', "money with wings"),
    (0x1F4B9, '💹', "chart with upwards trend and yen sign"),
    (0x1F4BA, '💺', "seat"),
    (0x1F4BB, '💻', "personal computer"),
    (0x1F4BC, '💼', "briefcase"),
    (0x1F4BD, '💽', "minidisc"),
    (0x1F4BE, '💾', "floppy disk"),
    (0x1F4BF, '💿', "optical disc"),
    (0x1F4C0, '📀', "dvd"),
    (0x1F4C1, '📁', "file folder"),
    (0x1F4C2, '📂', "open file folder"),
    (0x1F4C3, '📃', "page with curl"),
    (0x1F4C4, '📄', "page facing up"),
    (0x1F4C5, '📅', "calendar"),
    (0x1F4C6, '📆', "tear-off calendar"),
    (0x1F4C7, '📇', "card index"),
    (0x1F4C8, '📈', "chart with upwards trend"),
    (0x1F4C9, '📉', "chart with downwards trend"),
    (0x1F4CA, '📊', "bar chart"),
    (0x1F4CB, '📋', "clipboard"),
    (0x1F4CC, '📌', "pushpin"),
    (0x1F4CD, '📍', "round pushpin"),
    (0x1F4CE, '📎', "paperclip"),
    (0x1F4CF, '📏', "straight ruler"),
    (0x1F4D0, '📐', "triangular ruler"),
    (0x1F4D1, '📑', "bookmark tabs"),
    (0x1F4D2, '📒', "ledger"),
    (0x1F4D3, '📓', "notebook"),
    (0x1F4D4, '📔', "notebook with decorative cover"),
    (0x1F4D5, '📕', "closed book"),
    (0x1F4D6, '📖', "open book"),
    (0x1F4D7, '📗', "green book"),
    (0x1F4D8, '📘', "blue book"),
    (0x1F4D9, '📙', "orange book"),
    (0x1F4DA, '📚', "books"),
    (0x1F4DB, '📛', "name badge"),
    (0x1F4DC, '📜', "scroll"),
    (0x1F4DD, '📝', "memo"),
    (0x1F4DE, '📞', "telephone receiver"),
    (0x1F4DF, '📟', "pager"),
    (0x1F4E0, '📠', "fax machine"),
    (0x1F4E1, '📡', "satellite antenna"),
    (0x1F4E2, '📢', "public address loudspeaker"),
    (0x1F4E3, '📣', "cheering megaphone"),
    (0x1F4E4, '📤', "outbox tray"),
    (0x1F4E5, '📥', "inbox tray"),
    (0x1F4E6, '📦', "package"),
    (0x1F4E7, '📧', "e-mail symbol"),
    (0x1F4E8, '📨', "incoming envelope"),
    (0x1F4E9, '📩', "envelope with downwards arrow above"),
    (0x1F4EA, '📪', "closed mailbox with lowered flag"),
    (0x1F4EB, '📫', "closed mailbox with raised flag"),
    (0x1F4EC, '📬', "open mailbox with raised flag"),
    (0x1F4ED, '📭', "open mailbox with lowered flag"),
    (0x1F4EE, '📮', "postbox"),
    (0x1F4EF, '📯', "postal horn"),
    (0x1F4F0, '📰', "newspaper"),
    (0x1F4F1, '📱', "mobile phone"),
    (0x1F4F2, '📲', "mobile phone with rightwards arrow at left"),
    (0x1F4F3, '📳', "vibration mode"),
    (0x1F4F4, '📴', "mobile phone off"),
    (0x1F4F5, '📵', "no mobile phones"),
    (0x1F4F6, '📶', "antenna with bars"),
    (0x1F4F7, '📷', "camera"),
    (0x1F4F9, '📹', "video camera"),
    (0x1F4FA, '📺', "television"),
    (0x1F4FB, '📻', "radio"),
    (0x1F4FC, '📼', "videocassette"),
    (0x1F500, '🔀', "twisted rightwards arrows"),
    (0x1F501, '🔁', "clockwise rightwards and leftwards open circle arrows"),
    (0x1F502, '🔂', "clockwise rightwards and leftwards open circle arrows with circled one overlay"),
    (0x1F503, '🔃', "clockwise downwards and upwards open circle arrows"),
    (0x1F504, '🔄', "anticlockwise downwards and upwards open circle arrows"),
    (0x1F505, '🔅', "low brightness symbol"),
    (0x1F506, '🔆', "high brightness symbol"),
    (0x1F507, '🔇', "speaker with cancellation stroke"),
    (0x1F508, '🔈', "speaker"),
    (0x1F509, '🔉', "speaker with one sound wave"),
    (0x1F50A, '🔊', "speaker with three sound waves"),
    (0x1F50B, '🔋', "battery"),
    (0x1F50C, '🔌', "electric plug"),
    (0x1F50D, '🔍', "left-pointing magnifying glass"),
    (0x1F50E, '🔎', "right-pointing magnifying glass"),
    (0x1F50F, '🔏', "lock with ink pen"),
    (0x1F510, '🔐', "closed lock with key"),
    (0x1F511, '🔑', "key"),
    (0x1F512, '🔒', "lock"),
    (0x1F513, '🔓', "open lock"),
    (0x1F514, '🔔', "bell"),
    (0x1F515, '🔕', "bell with cancellation stroke"),
    (0x1F516, '🔖', "bookmark"),
    (0x1F517, '🔗', "link symbol"),
    (0x1F518, '🔘', "radio button"),
    (0x1F519, '🔙', "back with leftwards arrow above"),
    (0x1F51A, '🔚', "end with leftwards arrow above"),
    (0x1F51B, '🔛', "on with exclamation mark with left right arrow above"),
    (0x1F51C, '🔜', "soon with rightwards arrow above"),
    (0x1F51D, '🔝', "top with upwards arrow above"),
    (0x1F51E, '🔞', "no one under eighteen symbol"),
    (0x1F51F, '🔟', "keycap ten"),
    (0x1F520, '🔠', "input symbol for latin capital letters"),
    (0x1F521, '🔡', "input symbol for latin small letters"),
    (0x1F522, '🔢', "input symbol for numbers"),
    (0x1F523, '🔣', "input symbol for symbols"),
    (0x1F524, '🔤', "input symbol for latin letters"),
    (0x1F525, '🔥', "fire"),
    (0x1F526, '🔦', "electric torch"),
    (0x1F527, '🔧', "wrench"),
    (0x1F528, '🔨', "hammer"),
    (0x1F529, '🔩', "nut and bolt"),
    (0x1F52A, '🔪', "hocho"),
    (0x1F52B, '🔫', "pistol"),
    (0x1F52C, '🔬', "microscope"),
    (0x1F52D, '🔭', "telescope"),
    (0x1F52E, '🔮', "crystal ball"),
    (0x1F52F, '🔯', "six pointed star with middle dot"),
    (0x1F530, '🔰', "japanese symbol for beginner"),
    (0x1F531, '🔱', "trident emblem"),
    (0x1F532, '🔲', "black square button"),
    (0x1F533, '🔳', "white square button"),
    (0x1F534, '🔴', "large red circle"),
    (0x1F535, '🔵', "large blue circle"),
    (0x1F536, '🔶', "large orange diamond"),
    (0x1F537, '🔷', "large blue diamond"),
    (0x1F538, '🔸', "small orange diamond"),
    (0x1F539, '🔹', "small blue diamond"),
    (0x1F53A, '🔺', "up-pointing red triangle"),
    (0x1F53B, '🔻', "down-pointing red triangle"),
    (0x1F53C, '🔼', "up-pointing small red triangle"),
    (0x1F53D, '🔽', "down-pointing small red triangle"),
    (0x1F550, '🕐', "clock face one oclock"),
    (0x1F551, '🕑', "clock face two oclock"),
    (0x1F552, '🕒', "clock face three oclock"),
    (0x1F553, '🕓', "clock face four oclock"),
    (0x1F554, '🕔', "clock face five oclock"),
    (0x1F555, '🕕', "clock face six oclock"),
    (0x1F556, '🕖', "clock face seven oclock"),
    (0x1F557, '🕗', "clock face eight oclock"),
    (0x1F558, '🕘', "clock face nine oclock"),
    (0x1F559, '🕙', "clock face ten oclock"),
    (0x1F55A, '🕚', "clock face eleven oclock"),
    (0x1F55B, '🕛', "clock face twelve oclock"),
    (0x1F55C, '🕜', "clock face one-thirty"),
    (0x1F55D, '🕝', "clock face two-thirty"),
    (0x1F55E, '🕞', "clock face three-thirty"),
    (0x1F55F, '🕟', "clock face four-thirty"),
    (0x1F560, '🕠', "clock face five-thirty"),
    (0x1F561, '🕡', "clock face six-thirty"),
    (0x1F562, '🕢', "clock face seven-thirty"),
    (0x1F563, '🕣', "clock face eight-thirty"),
    (0x1F564, '🕤', "clock face nine-thirty"),
    (0x1F565, '🕥', "clock face ten-thirty"),
    (0x1F566, '🕦', "clock face eleven-thirty"),
    (0x1F567, '🕧', "clock face twelve-thirty"),
    (0x1F5FB, '🗻', "mount fuji"),
    (0x1F5FC, '🗼', "tokyo tower"),
    (0x1F5FD, '🗽', "statue of liberty"),
    (0x1F5FE, '🗾', "silhouette of japan"),
    (0x1F5FF, '🗿', "moyai"),
    (0x1F600, '😀', "grinning face"),
    (0x1F601, '😁', "grinning face with smiling eyes"),
    (0x1F602, '😂', "face with tears of joy"),
    (0x1F603, '😃', "smiling face with open mouth"),
    (0x1F604, '😄', "smiling face with open mouth and smiling eyes"),
    (0x1F605, '😅', "smiling face with open mouth and cold sweat"),
    (0x1F606, '😆', "smiling face with open mouth and tightly-closed eyes"),
    (0x1F607, '😇', "smiling face with halo"),
    (0x1F608, '😈', "smiling face with horns"),
    (0x1F609, '😉', "winking face"),
    (0x1F60A, '😊', "smiling face with smiling eyes"),
    (0x1F60B, '😋', "face savouring delicious food"),
    (0x1F60C, '😌', "relieved face"),
    (0x1F60D, '😍', "smiling face with heart-shaped eyes"),
    (0x1F60E, '😎', "smiling face with sunglasses"),
    (0x1F60F, '😏', "smirking face"),
    (0x1F610, '😐', "neutral face"),
    (0x1F611, '😑', "expressionless face"),
    (0x1F612, '😒', "unamused face"),
    (0x1F613, '😓', "face with cold sweat"),
    (0x1F614, '😔', "pensive face"),
    (0x1F615, '😕', "confused face"),
    (0x1F616, '😖', "confounded face"),
    (0x1F617, '😗', "kissing face"),
    (0x1F618, '😘', "face throwing a kiss"),
    (0x1F619, '😙', "kissing face with smiling eyes"),
    (0x1F61A, '😚', "kissing face with closed eyes"),
    (0x1F61B, '😛', "face with stuck-out tongue"),
    (0x1F61C, '😜', "face with stuck-out tongue and winking eye"),
    (0x1F61D, '😝', "face with stuck-out tongue and tightly-closed eyes"),
    (0x1F61E, '😞', "disappointed face"),
    (0x1F61F, '😟', "worried face"),
    (0x1F620, '😠', "angry face"),
    (0x1F621, '😡', "pouting face"),
    (0x1F622, '😢', "crying face"),
    (0x1F623, '😣', "persevering face"),
    (0x1F624, '😤', "face with look of triumph"),
    (0x1F625, '😥', "disappointed but relieved face"),
    (0x1F626, '😦', "frowning face with open mouth"),
    (0x1F627, '😧', "anguished face"),
    (0x1F628, '😨', "fearful face"),
    (0x1F629, '😩', "weary face"),
    (0x1F62A, '😪', "sleepy face"),
    (0x1F62B, '😫', "tired face"),
    (0x1F62C, '😬', "grimacing face"),
    (0x1F62D, '😭', "loudly crying face"),
    (0x1F62E, '😮', "face with open mouth"),
    (0x1F62F, '😯', "hushed face"),
    (0x1F630, '😰', "face with open mouth and cold sweat"),
    (0x1F631, '😱', "face screaming in fear"),
    (0x1F632, '😲', "astonished face"),
    (0x1F633, '😳', "flushed face"),
    (0x1F634, '😴', "sleeping face"),
    (0x1F635, '😵', "dizzy face"),
    (0x1F636, '😶', "face without mouth"),
    (0x1F637, '😷', "face with medical mask"),
    (0x1F638, '😸', "grinning cat face with smiling eyes"),
    (0x1F639, '😹', "cat face with tears of joy"),
    (0x1F63A, '😺', "smiling cat face with open mouth"),
    (0x1F63B, '😻', "smiling cat face with heart-shaped eyes"),
    (0x1F63C, '😼', "cat face with wry smile"),
    (0x1F63D, '😽', "kissing cat face with closed eyes"),
    (0x1F63E, '😾', "pouting cat face"),
    (0x1F63F, '😿', "crying cat face"),
    (0x1F640, '🙀', "weary cat face"),
    (0x1F645, '🙅', "face with no good gesture"),
    (0x1F646, '🙆', "face with ok gesture"),
    (0x1F647, '🙇', "person bowing deeply"),
    (0x1F648, '🙈', "see-no-evil monkey"),
    (0x1F649, '🙉', "hear-no-evil monkey"),
    (0x1F64A, '🙊', "speak-no-evil monkey"),
    (0x1F64B, '🙋', "happy person raising one hand"),
    (0x1F64C, '🙌', "person raising both hands in celebration"),
    (0x1F64D, '🙍', "person frowning"),
    (0x1F64E, '🙎', "person with pouting face"),
    (0x1F64F, '🙏', "person with folded hands"),
    (0x1F680, '🚀', "rocket"),
    (0x1F681, '🚁', "helicopter"),
    (0x1F682, '🚂', "steam locomotive"),
    (0x1F683, '🚃', "railway car"),
    (0x1F684, '🚄', "high-speed train"),
    (0x1F685, '🚅', "high-speed train with bullet nose"),
    (0x1F686, '🚆', "train"),
    (0x1F687, '🚇', "metro"),
    (0x1F688, '🚈', "light rail"),
    (0x1F689, '🚉', "station"),
    (0x1F68A, '🚊', "tram"),
    (0x1F68B, '🚋', "tram car"),
    (0x1F68C, '🚌', "bus"),
    (0x1F68D, '🚍', "oncoming bus"),
    (0x1F68E, '🚎', "trolleybus"),
    (0x1F68F, '🚏', "bus stop"),
    (0x1F690, '🚐', "minibus"),
    (0x1F691, '🚑', "ambulance"),
    (0x1F692, '🚒', "fire engine"),
    (0x1F693, '🚓', "police car"),
    (0x1F694, '🚔', "oncoming police car"),
    (0x1F695, '🚕', "taxi"),
    (0x1F696, '🚖', "oncoming taxi"),
    (0x1F697, '🚗', "automobile"),
    (0x1F699, '🚙', "recreational vehicle"),
    (0x1F69A, '🚚', "delivery truck"),
    (0x1F69B, '🚛', "articulated lorry"),
    (0x1F69C, '🚜', "tractor"),
    (0x1F69D, '🚝', "monorail"),
    (0x1F69E, '🚞', "mountain railway"),
    (0x1F69F, '🚟', "suspension railway"),
    (0x1F6A0, '🚠', "mountain cableway"),
    (0x1F6A1, '🚡', "aerial tramway"),
    (0x1F6A2, '🚢', "ship"),
    (0x1F6A3, '🚣', "rowboat"),
    (0x1F6A4, '🚤', "speedboat"),
    (0x1F6A5, '🚥', "horizontal traffic light"),
    (0x1F6A6, '🚦', "vertical traffic light"),
    (0x1F6A7, '🚧', "construction sign"),
    (0x1F6A8, '🚨', "police cars revolving light"),
    (0x1F6A9, '🚩', "triangular flag on post"),
    (0x1F6AA, '🚪', "door"),
    (0x1F6AB, '🚫', "no entry sign"),
    (0x1F6AC, '🚬', "smoking symbol"),
    (0x1F6AD, '🚭', "no smoking symbol"),
    (0x1F6AE, '🚮', "put litter in its place symbol"),
    (0x1F6AF, '🚯', "do not litter symbol"),
    (0x1F6B0, '🚰', "potable water symbol"),
    (0x1F6B1, '🚱', "non-potable water symbol"),
    (0x1F6B2, '🚲', "bicycle"),
    (0x1F6B3, '🚳', "no bicycles"),
    (0x1F6B4, '🚴', "bicyclist"),
    (0x1F6B5, '🚵', "mountain bicyclist"),
    (0x1F6B6, '🚶', "pedestrian"),
    (0x1F6B7, '🚷', "no pedestrians"),
    (0x1F6B8, '🚸', "children crossing"),
    (0x1F6B9, '🚹', "mens symbol"),
    (0x1F6BA, '🚺', "womens symbol"),
    (0x1F6BB, '🚻', "restroom"),
    (0x1F6BC, '🚼', "baby symbol"),
    (0x1F6BD, '🚽', "toilet"),
    (0x1F6BE, '🚾', "water closet"),
    (0x1F6BF, '🚿', "shower"),
    (0x1F6C0, '🛀', "bath"),
    (0x1F6C1, '🛁', "bathtub"),
    (0x1F6C2, '🛂', "passport control"),
    (0x1F6C3, '🛃', "customs"),
    (0x1F6C4, '🛄', "baggage claim"),
    (0x1F6C5, '🛅', "left luggage"),
    (0xFE4E5, '󾓥', "flag japan"),
    (0xFE4E6, '󾓦', "flag usa"),
    (0xFE4E7, '󾓧', "flag"),
    (0xFE4E8, '󾓨', "flag"),
    (0xFE4E9, '󾓩', "flag"),
    (0xFE4EA, '󾓪', "flag great britain"),
    (0xFE4EB, '󾓫', "flag"),
    (0xFE4EC, '󾓬', "flag"),
    (0xFE4ED, '󾓭', "flag"),
    (0xFE4EE, '󾓮', "flag south korea"),
    (0xFE82C, '󾠬', "number sign in square"),
    (0xFE82E, '󾠮', "digit one in square"),
    (0xFE82F, '󾠯', "digit two in square"),
    (0xFE830, '󾠰', "digit three in square"),
    (0xFE831, '󾠱', "digit four in square"),
    (0xFE832, '󾠲', "digit five in square"),
    (0xFE833, '󾠳', "digit six in square"),
    (0xFE834, '󾠴', "digit seven in square"),
    (0xFE835, '󾠵', "digit eight in square"),
    (0xFE836, '󾠶', "digit nine in square"),
    (0xFE837, '󾠷', "digit zero in square"),
];

/// All emojis supported by egui.
/// The union of `emoji-icon-font.ttf` and `NotoEmoji-Regular.ttf`.
#[rustfmt::skip]
pub const FULL_EMOJI_LIST: &[(u32, char, &str)] = &[
    (0xA9, '©', "copyright sign"),
    (0xAE, '®', "registered sign"),
    (0x2030, '‰', "perthousand"),
    (0x203C, '‼', "double exclamation mark"),
    (0x2049, '⁉', "exclamation question mark"),
    (0x20AC, '€', "currency-euro"),
    (0x20E3, '⃣', "combining enclosing keycap"),
    (0x211E, '℞', "retrograde"),
    (0x2122, '™', "trade mark sign"),
    (0x2126, 'Ω', "omega"),
    (0x2135, 'ℵ', "aleph"),
    (0x2139, 'ℹ', "information source"),
    (0x2194, '↔', "left right arrow"),
    (0x2195, '↕', "up down arrow"),
    (0x2196, '↖', "north west arrow"),
    (0x2197, '↗', "north east arrow"),
    (0x2198, '↘', "south east arrow"),
    (0x2199, '↙', "south west arrow"),
    (0x21A9, '↩', "leftwards arrow with hook"),
    (0x21AA, '↪', "rightwards arrow with hook"),
    (0x21BA, '↺', "rotate-ccw"),
    (0x21BB, '↻', "rotate-cw"),
    (0x221E, '∞', "infinity"),
    (0x2297, '⊗', "close"),
    (0x229E, '⊞', "square-plus"),
    (0x229F, '⊟', "square-minus"),
    (0x2316, '⌖', "crosshairs"),
    (0x2318, '⌘', "command"),
    (0x231A, '⌚', "watch"),
    (0x231B, '⌛', "hourglass"),
    (0x2328, '⌨', "keyboard-wireless"),
    (0x2386, '⎆', "enter"),
    (0x2388, '⎈', "helm"),
    (0x2397, '⎗', "previous-page"),
    (0x2398, '⎘', "next-page"),
    (0x2399, '⎙', "print-screen"),
    (0x23CF, '⏏', "eject"),
    (0x23E9, '⏩', "black right-pointing double triangle / forward"),
    (0x23EA, '⏪', "backward / black left-pointing double triangle"),
    (0x23EB, '⏫', "black up-pointing double triangle"),
    (0x23EC, '⏬', "black down-pointing double triangle"),
    (0x23ED, '⏭', "last"),
    (0x23EE, '⏮', "first"),
    (0x23F0, '⏰', "alarm clock"),
    (0x23F1, '⏱', "stopwatch"),
    (0x23F3, '⏳', "hourglass with flowing sand"),
    (0x23F4, '⏴', "caret-left"),
    (0x23F5, '⏵', "caret-right"),
    (0x23F6, '⏶', "caret-up"),
    (0x23F7, '⏷', "caret-down"),
    (0x23F8, '⏸', "pause"),
    (0x23F9, '⏹', "stop"),
    (0x23FA, '⏺', "circle"),
    (0x24C2, 'Ⓜ', "circled latin capital letter m"),
    (0x2593, '▓', "chessboard"),
    (0x25A0, '■', "square"),
    (0x25A3, '▣', "checkbox-partial"),
    (0x25AA, '▪', "black small square"),
    (0x25AB, '▫', "white small square"),
    (0x25B6, '▶', "black right-pointing triangle / play"),
    (0x25C0, '◀', "black left-pointing triangle"),
    (0x25CA, '◊', "lozenge"),
    (0x25CB, '○', "circle-open"),
    (0x25CE, '◎', "bullseye"),
    (0x25D1, '◑', "contrast"),
    (0x25D4, '◔', "pie-chart-reverse"),
    (0x25D5, '◕', "pie-chart"),
    (0x25FB, '◻', "white medium square"),
    (0x25FC, '◼', "black medium square"),
    (0x25FD, '◽', "white medium small square"),
    (0x25FE, '◾', "black medium small square"),
    (0x2600, '☀', "black sun with rays"),
    (0x2601, '☁', "cloud"),
    (0x2602, '☂', "umbrella"),
    (0x2603, '☃', "snowman"),
    (0x2604, '☄', "comet"),
    (0x2605, '★', "star"),
    (0x2606, '☆', "star-open"),
    (0x2609, '☉', "record"),
    (0x260E, '☎', "black telephone"),
    (0x2610, '☐', "checkbox-unchecked"),
    (0x2611, '☑', "ballot box with check / checkbox-checked"),
    (0x2614, '☔', "umbrella with rain drops"),
    (0x2615, '☕', "drink-coffee / hot beverage"),
    (0x2618, '☘', "shamrock"),
    (0x261C, '☜', "point-left"),
    (0x261D, '☝', "point-up / white up pointing index"),
    (0x261E, '☞', "point-right"),
    (0x261F, '☟', "point-down"),
    (0x2620, '☠', "skull-and-bones"),
    (0x2622, '☢', "radiation"),
    (0x2623, '☣', "biohazard"),
    (0x2624, '☤', "caduceus"),
    (0x2625, '☥', "ankh"),
    (0x2626, '☦', "cross-orthodox"),
    (0x2627, '☧', "chi-rho"),
    (0x2628, '☨', "cross-of-lorraine"),
    (0x2629, '☩', "cross-of-jerusalem"),
    (0x262A, '☪', "star-and-crescent"),
    (0x262B, '☫', "farsi"),
    (0x262C, '☬', "khanda"),
    (0x262E, '☮', "peace"),
    (0x262F, '☯', "tao"),
    (0x2630, '☰', "menu"),
    (0x2638, '☸', "wheel-of-dharma"),
    (0x2639, '☹', "smiley-sad"),
    (0x263A, '☺', "smiley / white smiling face"),
    (0x2640, '♀', "gender-female"),
    (0x2642, '♂', "gender-male"),
    (0x2648, '♈', "aries"),
    (0x2649, '♉', "taurus"),
    (0x264A, '♊', "gemini"),
    (0x264B, '♋', "cancer"),
    (0x264C, '♌', "leo"),
    (0x264D, '♍', "virgo"),
    (0x264E, '♎', "libra"),
    (0x264F, '♏', "scorpius"),
    (0x2650, '♐', "sagittarius"),
    (0x2651, '♑', "capricorn"),
    (0x2652, '♒', "aquarius"),
    (0x2653, '♓', "pisces"),
    (0x2654, '♔', "chess-white-king"),
    (0x2655, '♕', "chess-white-queen"),
    (0x2656, '♖', "chess-white-rook"),
    (0x2657, '♗', "chess-white-bishop"),
    (0x2658, '♘', "chess-white-knight"),
    (0x2659, '♙', "chess-white-pawn"),
    (0x265A, '♚', "chess-black-king"),
    (0x265B, '♛', "chess-black-queen"),
    (0x265C, '♜', "chess-black-rook"),
    (0x265D, '♝', "chess-black-bishop"),
    (0x265E, '♞', "chess-black-knight"),
    (0x265F, '♟', "chess-black-pawn"),
    (0x2660, '♠', "black spade suit / spades"),
    (0x2661, '♡', "heart-open"),
    (0x2663, '♣', "black club suit / clubs"),
    (0x2665, '♥', "black heart suit"),
    (0x2666, '♦', "black diamond suit / diamonds"),
    (0x2668, '♨', "hot springs"),
    (0x2669, '♩', "music-quarter-note"),
    (0x266A, '♪', "music-eighth-note"),
    (0x266B, '♫', "music-eigth-notes"),
    (0x266C, '♬', "music-sixteenth-notes"),
    (0x267B, '♻', "black universal recycling symbol / recycle"),
    (0x267E, '♾', "permanent-paper"),
    (0x267F, '♿', "wheelchair symbol"),
    (0x2690, '⚐', "flag-open"),
    (0x2691, '⚑', "flag"),
    (0x2692, '⚒', "hammer-and-pick"),
    (0x2693, '⚓', "anchor"),
    (0x2694, '⚔', "crossed-swords"),
    (0x2695, '⚕', "asclepius"),
    (0x2696, '⚖', "scales"),
    (0x2698, '⚘', "flower"),
    (0x2699, '⚙', "gear"),
    (0x269B, '⚛', "atom"),
    (0x269C, '⚜', "fleur-de-lis"),
    (0x26A0, '⚠', "warning sign"),
    (0x26A1, '⚡', "bolt / high voltage sign"),
    (0x26A2, '⚢', "gender-female-female"),
    (0x26A3, '⚣', "gender-male-male"),
    (0x26A4, '⚤', "gender-male-female"),
    (0x26A6, '⚦', "gender-transgender"),
    (0x26A7, '⚧', "gender-non-binary"),
    (0x26AA, '⚪', "medium white circle"),
    (0x26AB, '⚫', "medium black circle"),
    (0x26B0, '⚰', "coffin"),
    (0x26BD, '⚽', "football-soccer / soccer ball"),
    (0x26BE, '⚾', "baseball"),
    (0x26C3, '⛃', "database"),
    (0x26C4, '⛄', "snowman without snow"),
    (0x26C5, '⛅', "sun behind cloud"),
    (0x26CE, '⛎', "ophiuchus"),
    (0x26CF, '⛏', "pick"),
    (0x26D3, '⛓', "dna"),
    (0x26D4, '⛔', "no entry / no-entry"),
    (0x26E4, '⛤', "pentagram"),
    (0x26E7, '⛧', "pentagram-inverted"),
    (0x26E8, '⛨', "shield-with-cross"),
    (0x26E9, '⛩', "temple"),
    (0x26EA, '⛪', "church"),
    (0x26ED, '⛭', "gear-no-hub"),
    (0x26F1, '⛱', "beach"),
    (0x26F2, '⛲', "fountain"),
    (0x26F3, '⛳', "flag in hole"),
    (0x26F5, '⛵', "sailboat"),
    (0x26F6, '⛶', "four-corners"),
    (0x26F7, '⛷', "skier"),
    (0x26F8, '⛸', "ice-skater"),
    (0x26FA, '⛺', "tent"),
    (0x26FC, '⛼', "headstone"),
    (0x26FD, '⛽', "fuel pump / fuel-pump"),
    (0x2702, '✂', "black scissors"),
    (0x2705, '✅', "white heavy check mark"),
    (0x2706, '✆', "phone-location"),
    (0x2707, '✇', "film-reel"),
    (0x2708, '✈', "airplane"),
    (0x2709, '✉', "envelope"),
    (0x270A, '✊', "hand-fist / raised fist"),
    (0x270B, '✋', "raised hand"),
    (0x270C, '✌', "victory hand"),
    (0x270F, '✏', "pencil"),
    (0x2712, '✒', "black nib"),
    (0x2714, '✔', "heavy check mark"),
    (0x2716, '✖', "heavy multiplication x / multiply"),
    (0x271A, '✚', "plus"),
    (0x271D, '✝', "latin-cross"),
    (0x271F, '✟', "latin-cross-outline"),
    (0x2720, '✠', "maltese-cross"),
    (0x2721, '✡', "star-of-david"),
    (0x2728, '✨', "sparkles"),
    (0x272A, '✪', "star-circled"),
    (0x2731, '✱', "asterisk-six"),
    (0x2733, '✳', "eight spoked asterisk"),
    (0x2734, '✴', "eight pointed black star / star-eight-points"),
    (0x273F, '✿', "black-florette"),
    (0x2740, '❀', "florette"),
    (0x2744, '❄', "snowflake"),
    (0x2747, '❇', "sparkle"),
    (0x274C, '❌', "cross mark"),
    (0x274E, '❎', "negative squared cross mark"),
    (0x2753, '❓', "black question mark ornament"),
    (0x2754, '❔', "white question mark ornament"),
    (0x2755, '❕', "white exclamation mark ornament"),
    (0x2757, '❗', "heavy exclamation mark symbol"),
    (0x2764, '❤', "heavy black heart"),
    (0x2765, '❥', "heart-tilted"),
    (0x2795, '➕', "heavy plus sign"),
    (0x2796, '➖', "heavy minus sign"),
    (0x2797, '➗', "divide / heavy division sign"),
    (0x27A1, '➡', "arrow-right / black rightwards arrow"),
    (0x27B0, '➰', "curly loop"),
    (0x27BF, '➿', "double curly loop"),
    (0x27F2, '⟲', "rotate-cw-side"),
    (0x27F3, '⟳', "rotate-ccw-side"),
    (0x2934, '⤴', "arrow pointing rightwards then curving upwards"),
    (0x2935, '⤵', "arrow pointing rightwards then curving downwards"),
    (0x2B05, '⬅', "arrow-left / leftwards black arrow"),
    (0x2B06, '⬆', "arrow-up / upwards black arrow"),
    (0x2B07, '⬇', "arrow-down / downwards black arrow"),
    (0x2B08, '⬈', "arrow-up-right"),
    (0x2B09, '⬉', "arrow-up-left"),
    (0x2B0A, '⬊', "arrow-down-right"),
    (0x2B0B, '⬋', "arrow-down-left"),
    (0x2B0C, '⬌', "arrow-left-right"),
    (0x2B0D, '⬍', "arrow-up-down"),
    (0x2B1B, '⬛', "black large square"),
    (0x2B1C, '⬜', "white large square"),
    (0x2B1F, '⬟', "pentagon"),
    (0x2B23, '⬣', "hexagon"),
    (0x2B50, '⭐', "white medium star"),
    (0x2B55, '⭕', "heavy large circle"),
    (0x2B88, '⮈', "circle-arrow-left"),
    (0x2B89, '⮉', "circle-arrow-up"),
    (0x2B8A, '⮊', "circle-arrow-right"),
    (0x2B8B, '⮋', "circle-arrow-down"),
    (0x2BA8, '⮨', "arrow-reply"),
    (0x2BA9, '⮩', "arrow-forward"),
    (0x2BAA, '⮪', "arrow-undo"),
    (0x2BAB, '⮫', "arrow-redo"),
    (0x3030, '〰', "wavy dash"),
    (0x303D, '〽', "part alternation mark"),
    (0x3297, '㊗', "circled ideograph congratulation"),
    (0x3299, '㊙', "circled ideograph secret"),
    (0xFE5C, '﹜', "brace-right"),
    (0xFF01, '！', "exclamation-mark"),
    (0xFF03, '＃', "number"),
    (0xFF04, '＄', "currency-dollar"),
    (0xFF05, '％', "percent"),
    (0xFF06, '＆', "ampersand"),
    (0xFF08, '（', "parenthesis-left"),
    (0xFF09, '）', "parenthesis-right"),
    (0xFF0A, '＊', "asterisk-five"),
    (0xFF10, '０', "digit-zero"),
    (0xFF11, '１', "digit-one"),
    (0xFF12, '２', "digit-two"),
    (0xFF13, '３', "digit-three"),
    (0xFF14, '４', "digit-four"),
    (0xFF15, '５', "digit-five"),
    (0xFF16, '６', "digit-six"),
    (0xFF17, '７', "digit-seven"),
    (0xFF18, '８', "digit-eight"),
    (0xFF19, '９', "digit-nine"),
    (0xFF1F, '？', "question-mark"),
    (0xFF20, '＠', "at-symbol"),
    (0xFF21, 'Ａ', "letter-A"),
    (0xFF22, 'Ｂ', "letter-B"),
    (0xFF23, 'Ｃ', "letter-C"),
    (0xFF24, 'Ｄ', "letter-D"),
    (0xFF25, 'Ｅ', "letter-E"),
    (0xFF26, 'Ｆ', "letter-F"),
    (0xFF27, 'Ｇ', "letter-G"),
    (0xFF28, 'Ｈ', "letter-H"),
    (0xFF29, 'Ｉ', "letter-I"),
    (0xFF2A, 'Ｊ', "letter-J"),
    (0xFF2B, 'Ｋ', "letter-K"),
    (0xFF2C, 'Ｌ', "letter-L"),
    (0xFF2D, 'Ｍ', "letter-M"),
    (0xFF2E, 'Ｎ', "letter-N"),
    (0xFF2F, 'Ｏ', "letter-O"),
    (0xFF30, 'Ｐ', "letter-P"),
    (0xFF31, 'Ｑ', "letter-Q"),
    (0xFF32, 'Ｒ', "letter-R"),
    (0xFF33, 'Ｓ', "stack-window"),
    (0xFF34, 'Ｔ', "letter-S"),
    (0xFF35, 'Ｕ', "letter-T"),
    (0xFF36, 'Ｖ', "letter-U"),
    (0xFF37, 'Ｗ', "letter-V"),
    (0xFF38, 'Ｘ', "letter-W"),
    (0xFF39, 'Ｙ', "letter-X"),
    (0xFF3A, 'Ｚ', "letter-Z"),
    (0xFF3B, '［', "square-bracket-left"),
    (0xFF3C, '＼', "at"),
    (0xFF3D, '］', "square-bracket-right"),
    (0xFF41, 'ａ', "letter-a"),
    (0xFF42, 'ｂ', "letter-b"),
    (0xFF43, 'ｃ', "letter-c"),
    (0xFF44, 'ｄ', "letter-d"),
    (0xFF45, 'ｅ', "letter-e"),
    (0xFF46, 'ｆ', "letter-f"),
    (0xFF47, 'ｇ', "letter-g"),
    (0xFF48, 'ｈ', "letter-h"),
    (0xFF49, 'ｉ', "letter-i"),
    (0xFF4A, 'ｊ', "letter-j"),
    (0xFF4B, 'ｋ', "letter-k"),
    (0xFF4C, 'ｌ', "letter-l"),
    (0xFF4D, 'ｍ', "letter-m"),
    (0xFF4E, 'ｎ', "letter-n"),
    (0xFF4F, 'ｏ', "letter-o"),
    (0xFF50, 'ｐ', "letter-p"),
    (0xFF51, 'ｑ', "letter-q"),
    (0xFF52, 'ｒ', "letter-r"),
    (0xFF53, 'ｓ', "letter-s"),
    (0xFF54, 'ｔ', "letter-t"),
    (0xFF55, 'ｕ', "letter-u"),
    (0xFF56, 'ｖ', "letter-v"),
    (0xFF57, 'ｗ', "letter-w"),
    (0xFF58, 'ｘ', "letter-x"),
    (0xFF59, 'ｙ', "letter-y"),
    (0xFF5A, 'ｚ', "letter-z"),
    (0xFF5B, '｛', "brace-left"),
    (0xFFE1, '￡', "currency-pound"),
    (0xFFE5, '￥', "yen"),
    (0x1D11E, '𝄞', "g-clef"),
    (0x1F004, '🀄', "mahjong tile red dragon"),
    (0x1F0A1, '🂡', "ace-of-spades"),
    (0x1F0B1, '🂱', "ace-of-hearts"),
    (0x1F0C1, '🃁', "ace-of-diamonds"),
    (0x1F0CF, '🃏', "playing card black joker"),
    (0x1F0D1, '🃑', "ace-of-clubs"),
    (0x1F170, '🅰', "negative squared latin capital letter a"),
    (0x1F171, '🅱', "negative squared latin capital letter b"),
    (0x1F17E, '🅾', "negative squared latin capital letter o"),
    (0x1F17F, '🅿', "negative squared latin capital letter p"),
    (0x1F18E, '🆎', "negative squared ab"),
    (0x1F191, '🆑', "squared cl"),
    (0x1F192, '🆒', "squared cool"),
    (0x1F193, '🆓', "squared free"),
    (0x1F194, '🆔', "squared id"),
    (0x1F195, '🆕', "squared new"),
    (0x1F196, '🆖', "squared ng"),
    (0x1F197, '🆗', "squared ok"),
    (0x1F198, '🆘', "squared sos"),
    (0x1F199, '🆙', "squared up with exclamation mark"),
    (0x1F19A, '🆚', "squared vs"),
    (0x1F1E6, '🇦', "regional indicator symbol letter a"),
    (0x1F1E7, '🇧', "regional indicator symbol letter b"),
    (0x1F1E8, '🇨', "regional indicator symbol letter c"),
    (0x1F1E9, '🇩', "regional indicator symbol letter d"),
    (0x1F1EA, '🇪', "regional indicator symbol letter e"),
    (0x1F1EB, '🇫', "regional indicator symbol letter f"),
    (0x1F1EC, '🇬', "regional indicator symbol letter g"),
    (0x1F1ED, '🇭', "regional indicator symbol letter h"),
    (0x1F1EE, '🇮', "regional indicator symbol letter i"),
    (0x1F1EF, '🇯', "regional indicator symbol letter j"),
    (0x1F1F0, '🇰', "regional indicator symbol letter k"),
    (0x1F1F1, '🇱', "regional indicator symbol letter l"),
    (0x1F1F2, '🇲', "regional indicator symbol letter m"),
    (0x1F1F3, '🇳', "regional indicator symbol letter n"),
    (0x1F1F4, '🇴', "regional indicator symbol letter o"),
    (0x1F1F5, '🇵', "regional indicator symbol letter p"),
    (0x1F1F6, '🇶', "regional indicator symbol letter q"),
    (0x1F1F7, '🇷', "regional indicator symbol letter r"),
    (0x1F1F8, '🇸', "regional indicator symbol letter s"),
    (0x1F1F9, '🇹', "regional indicator symbol letter t"),
    (0x1F1FA, '🇺', "regional indicator symbol letter u"),
    (0x1F1FB, '🇻', "regional indicator symbol letter v"),
    (0x1F1FC, '🇼', "regional indicator symbol letter w"),
    (0x1F1FD, '🇽', "regional indicator symbol letter x"),
    (0x1F1FE, '🇾', "regional indicator symbol letter y"),
    (0x1F1FF, '🇿', "regional indicator symbol letter z"),
    (0x1F201, '🈁', "squared katakana koko"),
    (0x1F202, '🈂', "squared katakana sa"),
    (0x1F21A, '🈚', "squared cjk unified ideograph-7121"),
    (0x1F22F, '🈯', "squared cjk unified ideograph-6307"),
    (0x1F232, '🈲', "squared cjk unified ideograph-7981"),
    (0x1F233, '🈳', "squared cjk unified ideograph-7a7a"),
    (0x1F234, '🈴', "squared cjk unified ideograph-5408"),
    (0x1F235, '🈵', "squared cjk unified ideograph-6e80"),
    (0x1F236, '🈶', "squared cjk unified ideograph-6709"),
    (0x1F237, '🈷', "squared cjk unified ideograph-6708"),
    (0x1F238, '🈸', "squared cjk unified ideograph-7533"),
    (0x1F239, '🈹', "squared cjk unified ideograph-5272"),
    (0x1F23A, '🈺', "squared cjk unified ideograph-55b6"),
    (0x1F250, '🉐', "circled ideograph advantage"),
    (0x1F251, '🉑', "circled ideograph accept"),
    (0x1F300, '🌀', "cyclone"),
    (0x1F301, '🌁', "foggy"),
    (0x1F302, '🌂', "closed umbrella"),
    (0x1F303, '🌃', "night with stars"),
    (0x1F304, '🌄', "sunrise over mountains"),
    (0x1F305, '🌅', "sunrise"),
    (0x1F306, '🌆', "cityscape at dusk"),
    (0x1F307, '🌇', "sunset over buildings"),
    (0x1F308, '🌈', "rainbow"),
    (0x1F309, '🌉', "bridge at night"),
    (0x1F30A, '🌊', "water wave / water-wave"),
    (0x1F30B, '🌋', "volcano"),
    (0x1F30C, '🌌', "milky way"),
    (0x1F30D, '🌍', "earth globe europe-africa / globe2"),
    (0x1F30E, '🌎', "earth globe americas"),
    (0x1F30F, '🌏', "earth globe asia-australia"),
    (0x1F310, '🌐', "globe with meridians / globe-meridians"),
    (0x1F311, '🌑', "moon-new / new moon symbol"),
    (0x1F312, '🌒', "moon-waxing-crescent / waxing crescent moon symbol"),
    (0x1F313, '🌓', "first quarter moon symbol / moon-first-quarter"),
    (0x1F314, '🌔', "moon-waxing-gibbous / waxing gibbous moon symbol"),
    (0x1F315, '🌕', "full moon symbol / moon-full"),
    (0x1F316, '🌖', "moon-waning-gibbous / waning gibbous moon symbol"),
    (0x1F317, '🌗', "last quarter moon symbol / moon-last-quarter"),
    (0x1F318, '🌘', "moon-waning-crescent / waning crescent moon symbol"),
    (0x1F319, '🌙', "crescent moon"),
    (0x1F31A, '🌚', "new moon with face"),
    (0x1F31B, '🌛', "first quarter moon with face"),
    (0x1F31C, '🌜', "last quarter moon with face"),
    (0x1F31D, '🌝', "full moon with face"),
    (0x1F31E, '🌞', "sun with face"),
    (0x1F31F, '🌟', "glowing star"),
    (0x1F320, '🌠', "shooting star / star-shooting"),
    (0x1F330, '🌰', "chestnut"),
    (0x1F331, '🌱', "seedling"),
    (0x1F332, '🌲', "evergreen tree / tree-pine"),
    (0x1F333, '🌳', "deciduous tree"),
    (0x1F334, '🌴', "palm tree / tree-palm"),
    (0x1F335, '🌵', "cactus"),
    (0x1F337, '🌷', "tulip"),
    (0x1F338, '🌸', "cherry blossom"),
    (0x1F339, '🌹', "rose"),
    (0x1F33A, '🌺', "hibiscus"),
    (0x1F33B, '🌻', "sunflower"),
    (0x1F33C, '🌼', "blossom"),
    (0x1F33D, '🌽', "ear of maize"),
    (0x1F33E, '🌾', "ear of rice"),
    (0x1F33F, '🌿', "herb"),
    (0x1F340, '🍀', "four leaf clover / four-leaf-clover"),
    (0x1F341, '🍁', "maple leaf / maple-leaf"),
    (0x1F342, '🍂', "fallen leaf"),
    (0x1F343, '🍃', "leaf fluttering in wind"),
    (0x1F344, '🍄', "mushroom"),
    (0x1F345, '🍅', "tomato3"),
    (0x1F346, '🍆', "aubergine"),
    (0x1F347, '🍇', "grapes"),
    (0x1F348, '🍈', "melon"),
    (0x1F349, '🍉', "watermelon"),
    (0x1F34A, '🍊', "tangerine"),
    (0x1F34B, '🍋', "lemon"),
    (0x1F34C, '🍌', "banana"),
    (0x1F34D, '🍍', "pineapple"),
    (0x1F34E, '🍎', "red apple"),
    (0x1F34F, '🍏', "green apple"),
    (0x1F350, '🍐', "pear"),
    (0x1F351, '🍑', "peach"),
    (0x1F352, '🍒', "cherries"),
    (0x1F353, '🍓', "strawberry"),
    (0x1F354, '🍔', "food-hamburger"),
    (0x1F355, '🍕', "food-pizza / slice of pizza"),
    (0x1F356, '🍖', "meat on bone"),
    (0x1F357, '🍗', "chicken-leg / poultry leg"),
    (0x1F358, '🍘', "rice cracker"),
    (0x1F359, '🍙', "rice ball / rice-ball"),
    (0x1F35A, '🍚', "cooked rice / food-rice"),
    (0x1F35B, '🍛', "curry and rice"),
    (0x1F35C, '🍜', "steaming bowl / steaming-bowl"),
    (0x1F35D, '🍝', "food-spaghetti"),
    (0x1F35E, '🍞', "bread"),
    (0x1F35F, '🍟', "french fries"),
    (0x1F360, '🍠', "roasted sweet potato"),
    (0x1F361, '🍡', "dango"),
    (0x1F362, '🍢', "oden"),
    (0x1F363, '🍣', "sushi"),
    (0x1F364, '🍤', "fried shrimp"),
    (0x1F365, '🍥', "fish cake with swirl design"),
    (0x1F366, '🍦', "soft ice cream"),
    (0x1F367, '🍧', "shaved ice"),
    (0x1F368, '🍨', "food-ice-cream / ice cream"),
    (0x1F369, '🍩', "donut / doughnut"),
    (0x1F36A, '🍪', "cookie / gingerbread"),
    (0x1F36B, '🍫', "chocolate bar"),
    (0x1F36C, '🍬', "candy"),
    (0x1F36D, '🍭', "lollipop"),
    (0x1F36E, '🍮', "custard"),
    (0x1F36F, '🍯', "honey pot"),
    (0x1F370, '🍰', "shortcake"),
    (0x1F371, '🍱', "bento box"),
    (0x1F372, '🍲', "pot of food / pot-food"),
    (0x1F373, '🍳', "cooking"),
    (0x1F374, '🍴', "fork and knife / fork-knife"),
    (0x1F375, '🍵', "teacup without handle"),
    (0x1F376, '🍶', "sake bottle and cup"),
    (0x1F377, '🍷', "drink-wine / wine glass"),
    (0x1F378, '🍸', "cocktail glass / drink-cocktail"),
    (0x1F379, '🍹', "drink-tropical / tropical drink"),
    (0x1F37A, '🍺', "beer mug / drink-beer"),
    (0x1F37B, '🍻', "clinking beer mugs"),
    (0x1F37C, '🍼', "baby bottle / baby-bottle"),
    (0x1F37D, '🍽', "fork-knife-plate"),
    (0x1F380, '🎀', "ribbon"),
    (0x1F381, '🎁', "gift / wrapped present"),
    (0x1F382, '🎂', "birthday cake"),
    (0x1F383, '🎃', "jack-o-lantern"),
    (0x1F384, '🎄', "christmas tree / christmas-tree"),
    (0x1F385, '🎅', "face-santa-claus / father christmas"),
    (0x1F386, '🎆', "fireworks"),
    (0x1F387, '🎇', "firework sparkler"),
    (0x1F388, '🎈', "balloon"),
    (0x1F389, '🎉', "party popper"),
    (0x1F38A, '🎊', "confetti ball"),
    (0x1F38B, '🎋', "tanabata tree"),
    (0x1F38C, '🎌', "crossed flags"),
    (0x1F38D, '🎍', "pine decoration"),
    (0x1F38E, '🎎', "japanese dolls"),
    (0x1F38F, '🎏', "carp streamer"),
    (0x1F390, '🎐', "wind chime"),
    (0x1F391, '🎑', "moon viewing ceremony"),
    (0x1F392, '🎒', "school satchel"),
    (0x1F393, '🎓', "graduation cap"),
    (0x1F396, '🎖', "medal-military"),
    (0x1F39E, '🎞', "film"),
    (0x1F39F, '🎟', "ticket"),
    (0x1F3A0, '🎠', "carousel horse"),
    (0x1F3A1, '🎡', "ferris wheel / ferris-wheel"),
    (0x1F3A2, '🎢', "roller coaster / rollercoaster"),
    (0x1F3A3, '🎣', "fishing pole and fish"),
    (0x1F3A4, '🎤', "microphone"),
    (0x1F3A5, '🎥', "camera-movie / movie camera"),
    (0x1F3A6, '🎦', "cinema"),
    (0x1F3A7, '🎧', "headphone"),
    (0x1F3A8, '🎨', "artist palette"),
    (0x1F3A9, '🎩', "top hat / tophat"),
    (0x1F3AA, '🎪', "circus tent"),
    (0x1F3AB, '🎫', "ticket"),
    (0x1F3AC, '🎬', "clapper board / movie"),
    (0x1F3AD, '🎭', "performing arts / performing-arts"),
    (0x1F3AE, '🎮', "video game / videogame"),
    (0x1F3AF, '🎯', "direct hit / target"),
    (0x1F3B0, '🎰', "slot machine / slot-machine"),
    (0x1F3B1, '🎱', "billiards"),
    (0x1F3B2, '🎲', "game die"),
    (0x1F3B3, '🎳', "bowling"),
    (0x1F3B4, '🎴', "flower playing cards"),
    (0x1F3B5, '🎵', "musical note"),
    (0x1F3B6, '🎶', "multiple musical notes"),
    (0x1F3B7, '🎷', "saxophone"),
    (0x1F3B8, '🎸', "guitar"),
    (0x1F3B9, '🎹', "musical keyboard / piano"),
    (0x1F3BA, '🎺', "music-trumpet"),
    (0x1F3BB, '🎻', "music-violin"),
    (0x1F3BC, '🎼', "musical score"),
    (0x1F3BD, '🎽', "running shirt with sash"),
    (0x1F3BE, '🎾', "tennis racquet and ball"),
    (0x1F3BF, '🎿', "ski and ski boot"),
    (0x1F3C0, '🏀', "basketball and hoop"),
    (0x1F3C1, '🏁', "chequered flag / flag-checkered"),
    (0x1F3C2, '🏂', "snowboarder / snowboarding"),
    (0x1F3C3, '🏃', "runner / running"),
    (0x1F3C4, '🏄', "surfer"),
    (0x1F3C5, '🏅', "medal-sports"),
    (0x1F3C6, '🏆', "trophy"),
    (0x1F3C7, '🏇', "horse racing"),
    (0x1F3C8, '🏈', "american football / football-american"),
    (0x1F3C9, '🏉', "rugby football"),
    (0x1F3CA, '🏊', "swimmer / swimming"),
    (0x1F3CB, '🏋', "weighlifting"),
    (0x1F3CD, '🏍', "motorbike"),
    (0x1F3E0, '🏠', "home / house building"),
    (0x1F3E1, '🏡', "house with garden / volume-mute"),
    (0x1F3E2, '🏢', "office building"),
    (0x1F3E3, '🏣', "japanese post office"),
    (0x1F3E4, '🏤', "european post office"),
    (0x1F3E5, '🏥', "hospital"),
    (0x1F3E6, '🏦', "bank"),
    (0x1F3E7, '🏧', "automated teller machine"),
    (0x1F3E8, '🏨', "hotel"),
    (0x1F3E9, '🏩', "love hotel"),
    (0x1F3EA, '🏪', "convenience store / convenience-store"),
    (0x1F3EB, '🏫', "school"),
    (0x1F3EC, '🏬', "department store"),
    (0x1F3ED, '🏭', "factory"),
    (0x1F3EE, '🏮', "izakaya lantern"),
    (0x1F3EF, '🏯', "japanese castle"),
    (0x1F3F0, '🏰', "european castle"),
    (0x1F3F7, '🏷', "label"),
    (0x1F400, '🐀', "rat"),
    (0x1F401, '🐁', "mouse"),
    (0x1F402, '🐂', "ox"),
    (0x1F403, '🐃', "water buffalo"),
    (0x1F404, '🐄', "animal-cow"),
    (0x1F405, '🐅', "tiger"),
    (0x1F406, '🐆', "leopard"),
    (0x1F407, '🐇', "animal-rabbit"),
    (0x1F408, '🐈', "animal-cat"),
    (0x1F409, '🐉', "dragon"),
    (0x1F40A, '🐊', "crocodile"),
    (0x1F40B, '🐋', "whale"),
    (0x1F40C, '🐌', "animal-snail"),
    (0x1F40D, '🐍', "snake"),
    (0x1F40E, '🐎', "animal-horse"),
    (0x1F40F, '🐏', "ram"),
    (0x1F410, '🐐', "animal-goat"),
    (0x1F411, '🐑', "sheep"),
    (0x1F412, '🐒', "monkey"),
    (0x1F413, '🐓', "animal-rooster"),
    (0x1F414, '🐔', "food-chicken"),
    (0x1F415, '🐕', "dog"),
    (0x1F416, '🐖', "animal-pig"),
    (0x1F417, '🐗', "boar"),
    (0x1F418, '🐘', "elephant"),
    (0x1F419, '🐙', "octopus"),
    (0x1F41A, '🐚', "spiral shell"),
    (0x1F41B, '🐛', "animal-bug"),
    (0x1F41C, '🐜', "animal-ant"),
    (0x1F41D, '🐝', "honeybee"),
    (0x1F41E, '🐞', "lady beetle"),
    (0x1F41F, '🐟', "fish"),
    (0x1F420, '🐠', "tropical fish"),
    (0x1F421, '🐡', "blowfish"),
    (0x1F422, '🐢', "turtle"),
    (0x1F423, '🐣', "hatching chick"),
    (0x1F424, '🐤', "baby chick"),
    (0x1F425, '🐥', "front-facing baby chick"),
    (0x1F426, '🐦', "bird"),
    (0x1F427, '🐧', "linux / penguin"),
    (0x1F428, '🐨', "koala"),
    (0x1F429, '🐩', "poodle"),
    (0x1F42A, '🐪', "animal-dromedary-camel"),
    (0x1F42B, '🐫', "animal-bactrian-camel / bactrian camel"),
    (0x1F42C, '🐬', "animal-dolphin"),
    (0x1F42D, '🐭', "mouse face"),
    (0x1F42E, '🐮', "cow face"),
    (0x1F42F, '🐯', "tiger face"),
    (0x1F430, '🐰', "rabbit face"),
    (0x1F431, '🐱', "cat face / face-kitty"),
    (0x1F432, '🐲', "dragon face"),
    (0x1F433, '🐳', "spouting whale"),
    (0x1F434, '🐴', "horse face"),
    (0x1F435, '🐵', "face-monkey / monkey face"),
    (0x1F436, '🐶', "dog face / face-chihuahua"),
    (0x1F437, '🐷', "pig face"),
    (0x1F438, '🐸', "frog face"),
    (0x1F439, '🐹', "face-hamster / hamster face"),
    (0x1F43A, '🐺', "wolf face"),
    (0x1F43B, '🐻', "bear face / face-bear"),
    (0x1F43C, '🐼', "panda face"),
    (0x1F43D, '🐽', "pig nose"),
    (0x1F43E, '🐾', "paw prints / paw-prints"),
    (0x1F440, '👀', "eyes"),
    (0x1F441, '👁', "eye"),
    (0x1F442, '👂', "ear"),
    (0x1F443, '👃', "nose"),
    (0x1F444, '👄', "mouth"),
    (0x1F445, '👅', "tongue"),
    (0x1F446, '👆', "white up pointing backhand index"),
    (0x1F447, '👇', "white down pointing backhand index"),
    (0x1F448, '👈', "white left pointing backhand index"),
    (0x1F449, '👉', "white right pointing backhand index"),
    (0x1F44A, '👊', "fisted hand sign"),
    (0x1F44B, '👋', "waving hand sign"),
    (0x1F44C, '👌', "ok hand sign"),
    (0x1F44D, '👍', "thumbs up sign / thumbs-up"),
    (0x1F44E, '👎', "thumbs down sign / thumbs-down"),
    (0x1F44F, '👏', "clapping hands sign"),
    (0x1F450, '👐', "open hands sign"),
    (0x1F451, '👑', "crown"),
    (0x1F452, '👒', "womans hat"),
    (0x1F453, '👓', "eyeglasses"),
    (0x1F454, '👔', "outfit-necktie"),
    (0x1F455, '👕', "outfit-shirt"),
    (0x1F456, '👖', "jeans"),
    (0x1F457, '👗', "outfit-dress"),
    (0x1F458, '👘', "kimono"),
    (0x1F459, '👙', "outfit-bikini"),
    (0x1F45A, '👚', "womans clothes"),
    (0x1F45B, '👛', "purse"),
    (0x1F45C, '👜', "handbag"),
    (0x1F45D, '👝', "pouch"),
    (0x1F45E, '👞', "mans shoe"),
    (0x1F45F, '👟', "athletic shoe"),
    (0x1F460, '👠', "high-heeled shoe / high-heeled-shoes"),
    (0x1F461, '👡', "sandals / womans sandal"),
    (0x1F462, '👢', "womans boots"),
    (0x1F463, '👣', "footprints"),
    (0x1F464, '👤', "bust in silhouette / user"),
    (0x1F465, '👥', "busts in silhouette / users"),
    (0x1F466, '👦', "face-boy"),
    (0x1F467, '👧', "face-girl"),
    (0x1F468, '👨', "face-man"),
    (0x1F469, '👩', "face-woman"),
    (0x1F46A, '👪', "family"),
    (0x1F46B, '👫', "man and woman holding hands / man-and-woman"),
    (0x1F46C, '👬', "man-and-man / two men holding hands"),
    (0x1F46D, '👭', "two women holding hands / woman-and-woman"),
    (0x1F46E, '👮', "police officer"),
    (0x1F46F, '👯', "woman with bunny ears"),
    (0x1F470, '👰', "bride with veil"),
    (0x1F471, '👱', "person with blond hair"),
    (0x1F472, '👲', "man with gua pi mao"),
    (0x1F473, '👳', "face-man-with-turban / man with turban"),
    (0x1F474, '👴', "face-old-chinese-man / older man"),
    (0x1F475, '👵', "older woman"),
    (0x1F476, '👶', "face-baby"),
    (0x1F477, '👷', "construction worker / construction-worker"),
    (0x1F478, '👸', "face-princess"),
    (0x1F479, '👹', "japanese ogre"),
    (0x1F47A, '👺', "japanese goblin"),
    (0x1F47B, '👻', "ghost"),
    (0x1F47C, '👼', "baby angel"),
    (0x1F47D, '👽', "extraterrestrial alien"),
    (0x1F47E, '👾', "alien monster"),
    (0x1F47F, '👿', "imp"),
    (0x1F480, '💀', "skull"),
    (0x1F481, '💁', "face-callcenter / information desk person"),
    (0x1F482, '💂', "guardsman"),
    (0x1F483, '💃', "dancer / dancing"),
    (0x1F484, '💄', "lipstick"),
    (0x1F485, '💅', "nail polish"),
    (0x1F486, '💆', "face massage"),
    (0x1F487, '💇', "haircut"),
    (0x1F488, '💈', "barber pole"),
    (0x1F489, '💉', "syringe"),
    (0x1F48A, '💊', "pill"),
    (0x1F48B, '💋', "kiss mark"),
    (0x1F48C, '💌', "love letter"),
    (0x1F48D, '💍', "ring"),
    (0x1F48E, '💎', "diamond / gem stone"),
    (0x1F48F, '💏', "kiss"),
    (0x1F490, '💐', "bouquet"),
    (0x1F491, '💑', "couple with heart"),
    (0x1F492, '💒', "wedding"),
    (0x1F493, '💓', "beating heart / heart-beating"),
    (0x1F494, '💔', "broken heart / heart-broken"),
    (0x1F495, '💕', "two hearts"),
    (0x1F496, '💖', "sparkling heart"),
    (0x1F497, '💗', "growing heart"),
    (0x1F498, '💘', "heart with arrow / heart-with-arrow"),
    (0x1F499, '💙', "blue heart"),
    (0x1F49A, '💚', "green heart"),
    (0x1F49B, '💛', "yellow heart"),
    (0x1F49C, '💜', "purple heart"),
    (0x1F49D, '💝', "heart with ribbon / heart-ribbon"),
    (0x1F49E, '💞', "revolving hearts"),
    (0x1F49F, '💟', "heart decoration"),
    (0x1F4A0, '💠', "diamond shape with a dot inside"),
    (0x1F4A1, '💡', "electric light bulb / lightbulb"),
    (0x1F4A2, '💢', "anger symbol"),
    (0x1F4A3, '💣', "bomb"),
    (0x1F4A4, '💤', "sleeping symbol"),
    (0x1F4A5, '💥', "collision symbol / explosion"),
    (0x1F4A6, '💦', "splashing sweat symbol"),
    (0x1F4A7, '💧', "droplet"),
    (0x1F4A8, '💨', "dash symbol"),
    (0x1F4A9, '💩', "pile of poo"),
    (0x1F4AA, '💪', "flexed biceps"),
    (0x1F4AB, '💫', "dizzy symbol"),
    (0x1F4AC, '💬', "speech balloon / speech-bubble"),
    (0x1F4AD, '💭', "thought balloon"),
    (0x1F4AE, '💮', "white flower"),
    (0x1F4AF, '💯', "hundred points symbol"),
    (0x1F4B0, '💰', "money bag / money-bag"),
    (0x1F4B1, '💱', "currency exchange / currency-exchange"),
    (0x1F4B2, '💲', "heavy dollar sign"),
    (0x1F4B3, '💳', "credit card / creditcard"),
    (0x1F4B4, '💴', "banknote with yen sign"),
    (0x1F4B5, '💵', "banknote with dollar sign"),
    (0x1F4B6, '💶', "banknote with euro sign"),
    (0x1F4B7, '💷', "banknote with pound sign"),
    (0x1F4B8, '💸', "money with wings"),
    (0x1F4B9, '💹', "chart with upwards trend and yen sign"),
    (0x1F4BA, '💺', "chair / seat"),
    (0x1F4BB, '💻', "laptop / personal computer"),
    (0x1F4BC, '💼', "briefcase / suitcase"),
    (0x1F4BD, '💽', "minidisc"),
    (0x1F4BE, '💾', "floppy disk"),
    (0x1F4BF, '💿', "disk / optical disc"),
    (0x1F4C0, '📀', "dvd"),
    (0x1F4C1, '📁', "file folder"),
    (0x1F4C2, '📂', "open file folder"),
    (0x1F4C3, '📃', "page with curl"),
    (0x1F4C4, '📄', "page facing up"),
    (0x1F4C5, '📅', "calendar-month"),
    (0x1F4C6, '📆', "calendar-day / tear-off calendar"),
    (0x1F4C7, '📇', "card index"),
    (0x1F4C8, '📈', "chart with upwards trend / chart-up"),
    (0x1F4C9, '📉', "chart with downwards trend / chart-down"),
    (0x1F4CA, '📊', "bar chart"),
    (0x1F4CB, '📋', "clipboard"),
    (0x1F4CC, '📌', "pushpin"),
    (0x1F4CD, '📍', "round pushpin"),
    (0x1F4CE, '📎', "paperclip"),
    (0x1F4CF, '📏', "ruler2 / straight ruler"),
    (0x1F4D0, '📐', "triangular ruler"),
    (0x1F4D1, '📑', "bookmark tabs"),
    (0x1F4D2, '📒', "addressbook / ledger"),
    (0x1F4D3, '📓', "notebook"),
    (0x1F4D4, '📔', "notebook with decorative cover"),
    (0x1F4D5, '📕', "closed book"),
    (0x1F4D6, '📖', "book-open / open book"),
    (0x1F4D7, '📗', "green book"),
    (0x1F4D8, '📘', "blue book"),
    (0x1F4D9, '📙', "orange book"),
    (0x1F4DA, '📚', "books"),
    (0x1F4DB, '📛', "name badge"),
    (0x1F4DC, '📜', "scroll"),
    (0x1F4DD, '📝', "memo"),
    (0x1F4DE, '📞', "phone-receiver / telephone receiver"),
    (0x1F4DF, '📟', "pager"),
    (0x1F4E0, '📠', "fax machine"),
    (0x1F4E1, '📡', "satellite antenna / satellite-disk"),
    (0x1F4E2, '📢', "public address loudspeaker"),
    (0x1F4E3, '📣', "cheering megaphone"),
    (0x1F4E4, '📤', "outbox tray"),
    (0x1F4E5, '📥', "inbox tray"),
    (0x1F4E6, '📦', "package"),
    (0x1F4E7, '📧', "e-mail symbol"),
    (0x1F4E8, '📨', "incoming envelope"),
    (0x1F4E9, '📩', "envelope with downwards arrow above"),
    (0x1F4EA, '📪', "closed mailbox with lowered flag"),
    (0x1F4EB, '📫', "closed mailbox with raised flag"),
    (0x1F4EC, '📬', "open mailbox with raised flag"),
    (0x1F4ED, '📭', "open mailbox with lowered flag"),
    (0x1F4EE, '📮', "postbox"),
    (0x1F4EF, '📯', "postal horn"),
    (0x1F4F0, '📰', "newspaper"),
    (0x1F4F1, '📱', "mobile phone / phone-mobile"),
    (0x1F4F2, '📲', "mobile phone with rightwards arrow at left"),
    (0x1F4F3, '📳', "vibration mode"),
    (0x1F4F4, '📴', "mobile phone off"),
    (0x1F4F5, '📵', "no mobile phones"),
    (0x1F4F6, '📶', "antenna with bars"),
    (0x1F4F7, '📷', "photo-camera"),
    (0x1F4F8, '📸', "photo-camera-flash"),
    (0x1F4F9, '📹', "video camera / video-camera"),
    (0x1F4FA, '📺', "television"),
    (0x1F4FB, '📻', "radio"),
    (0x1F4FC, '📼', "videocassette"),
    (0x1F4FD, '📽', "projector"),
    (0x1F4FE, '📾', "music-player"),
    (0x1F500, '🔀', "shuffle / twisted rightwards arrows"),
    (0x1F501, '🔁', "clockwise rightwards and leftwards open circle arrows / loop"),
    (0x1F502, '🔂', "clockwise rightwards and leftwards open circle arrows with circled one overlay"),
    (0x1F503, '🔃', "clockwise downwards and upwards open circle arrows / loop-alt"),
    (0x1F504, '🔄', "anticlockwise downwards and upwards open circle arrows"),
    (0x1F505, '🔅', "low brightness symbol"),
    (0x1F506, '🔆', "high brightness symbol"),
    (0x1F507, '🔇', "speaker with cancellation stroke"),
    (0x1F508, '🔈', "speaker / volume"),
    (0x1F509, '🔉', "speaker with one sound wave / volume-low"),
    (0x1F50A, '🔊', "speaker with three sound waves / volume-high"),
    (0x1F50B, '🔋', "battery"),
    (0x1F50C, '🔌', "electric plug / electric-cord"),
    (0x1F50D, '🔍', "left-pointing magnifying glass / search-left"),
    (0x1F50E, '🔎', "right-pointing magnifying glass / search-right"),
    (0x1F50F, '🔏', "lock with ink pen"),
    (0x1F510, '🔐', "closed lock with key"),
    (0x1F511, '🔑', "key"),
    (0x1F512, '🔒', "lock"),
    (0x1F513, '🔓', "lock-open / open lock"),
    (0x1F514, '🔔', "bell"),
    (0x1F515, '🔕', "bell with cancellation stroke"),
    (0x1F516, '🔖', "bookmark"),
    (0x1F517, '🔗', "link symbol"),
    (0x1F518, '🔘', "radio button / radio-checked"),
    (0x1F519, '🔙', "back with leftwards arrow above"),
    (0x1F51A, '🔚', "end with leftwards arrow above"),
    (0x1F51B, '🔛', "on with exclamation mark with left right arrow above"),
    (0x1F51C, '🔜', "soon with rightwards arrow above"),
    (0x1F51D, '🔝', "top with upwards arrow above"),
    (0x1F51E, '🔞', "no one under eighteen symbol"),
    (0x1F51F, '🔟', "keycap ten"),
    (0x1F520, '🔠', "input symbol for latin capital letters"),
    (0x1F521, '🔡', "input symbol for latin small letters"),
    (0x1F522, '🔢', "input symbol for numbers"),
    (0x1F523, '🔣', "input symbol for symbols"),
    (0x1F524, '🔤', "input symbol for latin letters"),
    (0x1F525, '🔥', "fire"),
    (0x1F526, '🔦', "electric torch / flashlight"),
    (0x1F527, '🔧', "wrench"),
    (0x1F528, '🔨', "hammer"),
    (0x1F529, '🔩', "nut and bolt / nut-and-bolt"),
    (0x1F52A, '🔪', "hocho / knife"),
    (0x1F52B, '🔫', "pistol"),
    (0x1F52C, '🔬', "microscope"),
    (0x1F52D, '🔭', "telescope"),
    (0x1F52E, '🔮', "crystal ball"),
    (0x1F52F, '🔯', "six pointed star with middle dot"),
    (0x1F530, '🔰', "japanese symbol for beginner"),
    (0x1F531, '🔱', "trident emblem"),
    (0x1F532, '🔲', "black square button"),
    (0x1F533, '🔳', "white square button"),
    (0x1F534, '🔴', "large red circle"),
    (0x1F535, '🔵', "large blue circle"),
    (0x1F536, '🔶', "large orange diamond"),
    (0x1F537, '🔷', "large blue diamond"),
    (0x1F538, '🔸', "small orange diamond"),
    (0x1F539, '🔹', "small blue diamond"),
    (0x1F53A, '🔺', "up-pointing red triangle"),
    (0x1F53B, '🔻', "down-pointing red triangle"),
    (0x1F53C, '🔼', "up-pointing small red triangle"),
    (0x1F53D, '🔽', "down-pointing small red triangle"),
    (0x1F542, '🕂', "cross-pommee"),
    (0x1F548, '🕈', "celtic-cross"),
    (0x1F549, '🕉', "om"),
    (0x1F54A, '🕊', "peace-dove"),
    (0x1F550, '🕐', "clock face one oclock"),
    (0x1F551, '🕑', "clock face two oclock"),
    (0x1F552, '🕒', "clock face three oclock"),
    (0x1F553, '🕓', "clock face four oclock"),
    (0x1F554, '🕔', "clock face five oclock"),
    (0x1F555, '🕕', "clock face six oclock"),
    (0x1F556, '🕖', "clock face seven oclock"),
    (0x1F557, '🕗', "clock face eight oclock"),
    (0x1F558, '🕘', "clock face nine oclock"),
    (0x1F559, '🕙', "clock face ten oclock"),
    (0x1F55A, '🕚', "clock face eleven oclock"),
    (0x1F55B, '🕛', "clock face twelve oclock"),
    (0x1F55C, '🕜', "clock face one-thirty"),
    (0x1F55D, '🕝', "clock face two-thirty"),
    (0x1F55E, '🕞', "clock face three-thirty"),
    (0x1F55F, '🕟', "clock face four-thirty"),
    (0x1F560, '🕠', "clock face five-thirty"),
    (0x1F561, '🕡', "clock face six-thirty"),
    (0x1F562, '🕢', "clock face seven-thirty"),
    (0x1F563, '🕣', "clock face eight-thirty"),
    (0x1F564, '🕤', "clock face nine-thirty"),
    (0x1F565, '🕥', "clock face ten-thirty"),
    (0x1F566, '🕦', "clock face eleven-thirty"),
    (0x1F567, '🕧', "clock face twelve-thirty"),
    (0x1F56B, '🕫', "bullhorn"),
    (0x1F56F, '🕯', "candle"),
    (0x1F571, '🕱', "death"),
    (0x1F575, '🕵', "spy"),
    (0x1F576, '🕶', "sunglasses"),
    (0x1F577, '🕷', "spider"),
    (0x1F578, '🕸', "spider7-web"),
    (0x1F579, '🕹', "joystick"),
    (0x1F583, '🖃', "envelope-stamped"),
    (0x1F58A, '🖊', "pen"),
    (0x1F5A5, '🖥', "pc-desktop"),
    (0x1F5A7, '🖧', "computer-network"),
    (0x1F5A9, '🖩', "calculator"),
    (0x1F5AD, '🖭', "tape"),
    (0x1F5AE, '🖮', "keyboard"),
    (0x1F5B1, '🖱', "mouse"),
    (0x1F5B3, '🖳', "pc-old"),
    (0x1F5B4, '🖴', "hard-disk"),
    (0x1F5B5, '🖵', "monitor"),
    (0x1F5B6, '🖶', "printer"),
    (0x1F5B9, '🖹', "file-text"),
    (0x1F5BB, '🖻', "file-image"),
    (0x1F5BC, '🖼', "picture"),
    (0x1F5C0, '🗀', "folder"),
    (0x1F5C1, '🗁', "folder-open"),
    (0x1F5C4, '🗄', "cabinet"),
    (0x1F5CA, '🗊', "notepad"),
    (0x1F5CB, '🗋', "file"),
    (0x1F5D0, '🗐', "copy"),
    (0x1F5D1, '🗑', "garbage-can"),
    (0x1F5D5, '🗕', "minimize"),
    (0x1F5D6, '🗖', "maximize-window"),
    (0x1F5D9, '🗙', "cancel"),
    (0x1F5DB, '🗛', "font-size"),
    (0x1F5DD, '🗝', "key-alt"),
    (0x1F5E0, '🗠', "chart-line"),
    (0x1F5E1, '🗡', "dagger"),
    (0x1F5FA, '🗺', "world-map"),
    (0x1F5FB, '🗻', "mount fuji"),
    (0x1F5FC, '🗼', "tokyo tower"),
    (0x1F5FD, '🗽', "statue of liberty"),
    (0x1F5FE, '🗾', "silhouette of japan"),
    (0x1F5FF, '🗿', "moyai"),
    (0x1F600, '😀', "grinning face"),
    (0x1F601, '😁', "grinning face with smiling eyes"),
    (0x1F602, '😂', "face with tears of joy"),
    (0x1F603, '😃', "smiley-happy / smiling face with open mouth"),
    (0x1F604, '😄', "smiley-grin / smiling face with open mouth and smiling eyes"),
    (0x1F605, '😅', "smiling face with open mouth and cold sweat"),
    (0x1F606, '😆', "smiling face with open mouth and tightly-closed eyes"),
    (0x1F607, '😇', "smiling face with halo"),
    (0x1F608, '😈', "smiley-evil / smiling face with horns"),
    (0x1F609, '😉', "winking face"),
    (0x1F60A, '😊', "smiling face with smiling eyes"),
    (0x1F60B, '😋', "face savouring delicious food"),
    (0x1F60C, '😌', "relieved face"),
    (0x1F60D, '😍', "smiling face with heart-shaped eyes"),
    (0x1F60E, '😎', "smiley-cool / smiling face with sunglasses"),
    (0x1F60F, '😏', "smirking face"),
    (0x1F610, '😐', "neutral face"),
    (0x1F611, '😑', "expressionless face"),
    (0x1F612, '😒', "unamused face"),
    (0x1F613, '😓', "face with cold sweat"),
    (0x1F614, '😔', "pensive face"),
    (0x1F615, '😕', "confused face"),
    (0x1F616, '😖', "confounded face"),
    (0x1F617, '😗', "kissing face"),
    (0x1F618, '😘', "face throwing a kiss"),
    (0x1F619, '😙', "kissing face with smiling eyes"),
    (0x1F61A, '😚', "kissing face with closed eyes"),
    (0x1F61B, '😛', "face with stuck-out tongue"),
    (0x1F61C, '😜', "face with stuck-out tongue and winking eye"),
    (0x1F61D, '😝', "face with stuck-out tongue and tightly-closed eyes"),
    (0x1F61E, '😞', "disappointed face"),
    (0x1F61F, '😟', "worried face"),
    (0x1F620, '😠', "angry face"),
    (0x1F621, '😡', "pouting face"),
    (0x1F622, '😢', "crying face"),
    (0x1F623, '😣', "persevering face"),
    (0x1F624, '😤', "face with look of triumph"),
    (0x1F625, '😥', "disappointed but relieved face"),
    (0x1F626, '😦', "frowning face with open mouth"),
    (0x1F627, '😧', "anguished face"),
    (0x1F628, '😨', "fearful face"),
    (0x1F629, '😩', "weary face"),
    (0x1F62A, '😪', "sleepy face"),
    (0x1F62B, '😫', "tired face"),
    (0x1F62C, '😬', "grimacing face"),
    (0x1F62D, '😭', "loudly crying face"),
    (0x1F62E, '😮', "face with open mouth"),
    (0x1F62F, '😯', "hushed face"),
    (0x1F630, '😰', "face with open mouth and cold sweat"),
    (0x1F631, '😱', "face screaming in fear"),
    (0x1F632, '😲', "astonished face"),
    (0x1F633, '😳', "flushed face"),
    (0x1F634, '😴', "sleeping face"),
    (0x1F635, '😵', "dizzy face"),
    (0x1F636, '😶', "face without mouth"),
    (0x1F637, '😷', "face with medical mask"),
    (0x1F638, '😸', "grinning cat face with smiling eyes"),
    (0x1F639, '😹', "cat face with tears of joy"),
    (0x1F63A, '😺', "smiling cat face with open mouth"),
    (0x1F63B, '😻', "smiling cat face with heart-shaped eyes"),
    (0x1F63C, '😼', "cat face with wry smile"),
    (0x1F63D, '😽', "kissing cat face with closed eyes"),
    (0x1F63E, '😾', "pouting cat face"),
    (0x1F63F, '😿', "crying cat face"),
    (0x1F640, '🙀', "weary cat face"),
    (0x1F645, '🙅', "face with no good gesture"),
    (0x1F646, '🙆', "face with ok gesture"),
    (0x1F647, '🙇', "person bowing deeply"),
    (0x1F648, '🙈', "see-no-evil monkey"),
    (0x1F649, '🙉', "hear-no-evil monkey"),
    (0x1F64A, '🙊', "speak-no-evil monkey"),
    (0x1F64B, '🙋', "happy person raising one hand"),
    (0x1F64C, '🙌', "person raising both hands in celebration"),
    (0x1F64D, '🙍', "person frowning"),
    (0x1F64E, '🙎', "person with pouting face"),
    (0x1F64F, '🙏', "person with folded hands"),
    (0x1F680, '🚀', "rocket"),
    (0x1F681, '🚁', "helicopter"),
    (0x1F682, '🚂', "steam locomotive"),
    (0x1F683, '🚃', "railway car"),
    (0x1F684, '🚄', "high-speed train"),
    (0x1F685, '🚅', "high-speed train with bullet nose"),
    (0x1F686, '🚆', "train"),
    (0x1F687, '🚇', "metro"),
    (0x1F688, '🚈', "light rail"),
    (0x1F689, '🚉', "station"),
    (0x1F68A, '🚊', "tram"),
    (0x1F68B, '🚋', "tram car"),
    (0x1F68C, '🚌', "bus"),
    (0x1F68D, '🚍', "bus-front / oncoming bus"),
    (0x1F68E, '🚎', "trolleybus"),
    (0x1F68F, '🚏', "bus stop"),
    (0x1F690, '🚐', "minibus"),
    (0x1F691, '🚑', "ambulance"),
    (0x1F692, '🚒', "fire engine"),
    (0x1F693, '🚓', "police car"),
    (0x1F694, '🚔', "oncoming police car"),
    (0x1F695, '🚕', "taxi"),
    (0x1F696, '🚖', "oncoming taxi"),
    (0x1F697, '🚗', "automobile / car"),
    (0x1F698, '🚘', "car-front"),
    (0x1F699, '🚙', "recreational vehicle"),
    (0x1F69A, '🚚', "delivery truck"),
    (0x1F69B, '🚛', "articulated lorry"),
    (0x1F69C, '🚜', "tractor"),
    (0x1F69D, '🚝', "monorail"),
    (0x1F69E, '🚞', "mountain railway"),
    (0x1F69F, '🚟', "suspension railway"),
    (0x1F6A0, '🚠', "mountain cableway"),
    (0x1F6A1, '🚡', "aerial tramway"),
    (0x1F6A2, '🚢', "ship"),
    (0x1F6A3, '🚣', "rowboat"),
    (0x1F6A4, '🚤', "speedboat"),
    (0x1F6A5, '🚥', "horizontal traffic light"),
    (0x1F6A6, '🚦', "traffic-light / vertical traffic light"),
    (0x1F6A7, '🚧', "construction sign"),
    (0x1F6A8, '🚨', "police cars revolving light"),
    (0x1F6A9, '🚩', "triangular flag on post"),
    (0x1F6AA, '🚪', "door"),
    (0x1F6AB, '🚫', "forbidden / no entry sign"),
    (0x1F6AC, '🚬', "smoking symbol"),
    (0x1F6AD, '🚭', "no smoking symbol / smoking-forbidden"),
    (0x1F6AE, '🚮', "put litter in its place symbol"),
    (0x1F6AF, '🚯', "do not litter symbol"),
    (0x1F6B0, '🚰', "potable water symbol"),
    (0x1F6B1, '🚱', "non-potable water symbol"),
    (0x1F6B2, '🚲', "bicycle"),
    (0x1F6B3, '🚳', "no bicycles"),
    (0x1F6B4, '🚴', "bicyclist"),
    (0x1F6B5, '🚵', "mountain bicyclist"),
    (0x1F6B6, '🚶', "pedestrian"),
    (0x1F6B7, '🚷', "no pedestrians"),
    (0x1F6B8, '🚸', "children crossing"),
    (0x1F6B9, '🚹', "mens symbol"),
    (0x1F6BA, '🚺', "womens symbol"),
    (0x1F6BB, '🚻', "restroom"),
    (0x1F6BC, '🚼', "baby symbol"),
    (0x1F6BD, '🚽', "toilet"),
    (0x1F6BE, '🚾', "water closet"),
    (0x1F6BF, '🚿', "shower"),
    (0x1F6C0, '🛀', "bath"),
    (0x1F6C1, '🛁', "bathtub"),
    (0x1F6C2, '🛂', "passport control / passport-control"),
    (0x1F6C3, '🛃', "customs"),
    (0x1F6C4, '🛄', "baggage claim"),
    (0x1F6C5, '🛅', "left luggage / left-luggage"),
    (0x1F6E0, '🛠', "hammer-wrench"),
    (0x1F6E1, '🛡', "shield"),

    // Private use area extensions:
    (0xFE4E5, '󾓥', "flag japan"),
    (0xFE4E6, '󾓦', "flag usa"),
    (0xFE4E7, '󾓧', "flag"),
    (0xFE4E8, '󾓨', "flag"),
    (0xFE4E9, '󾓩', "flag"),
    (0xFE4EA, '󾓪', "flag great britain"),
    (0xFE4EB, '󾓫', "flag"),
    (0xFE4EC, '󾓬', "flag"),
    (0xFE4ED, '󾓭', "flag"),
    (0xFE4EE, '󾓮', "flag south korea"),
    (0xFE82C, '󾠬', "number sign in square"),
    (0xFE82E, '󾠮', "digit one in square"),
    (0xFE82F, '󾠯', "digit two in square"),
    (0xFE830, '󾠰', "digit three in square"),
    (0xFE831, '󾠱', "digit four in square"),
    (0xFE832, '󾠲', "digit five in square"),
    (0xFE833, '󾠳', "digit six in square"),
    (0xFE834, '󾠴', "digit seven in square"),
    (0xFE835, '󾠵', "digit eight in square"),
    (0xFE836, '󾠶', "digit nine in square"),
    (0xFE837, '󾠷', "digit zero in square"),

    // Web services / operating systems :/ browsers
    (0xE600, '', "web-dribbble"),
    (0xE601, '', "web-stackoverflow"),
    (0xE602, '', "web-vimeo"),
    (0xE603, '', "web-twitter"),
    (0xE604, '', "web-facebook"),
    (0xE605, '', "web-googleplus"),
    (0xE606, '', "web-pinterest"),
    (0xE607, '', "web-tumblr"),
    (0xE608, '', "web-linkedin"),
    (0xE60A, '', "web-stumbleupon"),
    (0xE60B, '', "web-lastfm"),
    (0xE60C, '', "web-rdio"),
    (0xE60D, '', "web-spotify"),
    (0xE60E, '', "web-qq"),
    (0xE60F, '', "web-instagram"),
    (0xE610, '', "web-dropbox"),
    (0xE611, '', "web-evernote"),
    (0xE612, '', "web-flattr"),
    (0xE613, '', "web-skype"),
    (0xE614, '', "web-renren"),
    (0xE615, '', "web-sina-weibo"),
    (0xE616, '', "web-paypal"),
    (0xE617, '', "web-picasa"),
    (0xE618, '', "os-android"),
    (0xE619, '', "web-mixi"),
    (0xE61A, '', "web-behance"),
    (0xE61B, '', "web-circles"),
    (0xE61C, '', "web-vk"),
    (0xE61D, '', "web-smashing"),
    (0xE61E, '', "web-forrst"),
    (0xE61F, '', "os-windows"),
    (0xE620, '', "web-flickr"),
    (0xE621, '', "web-picassa"),
    (0xE622, '', "web-deviantart"),
    (0xE623, '', "web-steam"),
    (0xE624, '', "web-github"),
    (0xE625, '', "web-git"),
    (0xE626, '', "web-blogger"),
    (0xE627, '', "web-soundcloud"),
    (0xE628, '', "web-reddit"),
    (0xE629, '', "web-delicious"),
    (0xE62A, '', "browser-chrome"),
    (0xE62B, '', "browser-firefox"),
    (0xE62C, '', "browser-ie"),
    (0xE62D, '', "browser-opera"),
    (0xE62E, '', "browser-safari"),
    (0xE62F, '', "web-google-drive"),
    (0xE630, '', "web-wordpress"),
    (0xE631, '', "web-joomla"),
    (0xE632, '', "lastfm"),
    (0xE633, '', "web-foursquare"),
    (0xE634, '', "web-yelp"),
    (0xE635, '', "web-drupal"),
    (0xE636, '', "youtube"),
    (0xF189, '', "vk"),
    (0xF1A6, '', "digg"),
    (0xF1CA, '', "web-vine"),
    (0xF8FF, '', "os-apple"),
];
